GNU bug report logs - #41276
[PATCH 0/9] Various small improvements to EasyPG

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jonas Bernoulli <jonas@HIDDEN>; Keywords: patch; merged with #41268, #41269, #41270, #41271, #41272, #41273, #41274, #41275, #41277; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 41276 <at> debbugs.gnu.org and Jonas Bernoulli <jonas@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 6 Aug 2020 07:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 03:26:54 2020
Received: from localhost ([127.0.0.1]:53009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3aIg-0003Ow-I9
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:26:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1k3aIe-0003Oc-Og; Thu, 06 Aug 2020 03:26:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4yidn4Nyag6fTKpwBYMdkLAr3tQNDNHN7aTKXGq8rkI=; b=PlsJh39xlQMe9KwE0uZqXmlr4o
 4lUrCcJOdW+fKP3KaY3/qcrWKkEdijNG6PMRGjiXdNRJoFqtq3o3tIOsAv8gWb1ipmZ8MHj0SbDlR
 tREkclYQaWURN/42kyaqcXDt1jGIIEoipERY4+F+iHYatLE21M/3GVLRzEjFSimyF/yQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3aIW-0006yx-Bt; Thu, 06 Aug 2020 09:26:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <871rkkj4p3.fsf@HIDDEN> <87tuxgs0g8.fsf@HIDDEN>
Date: Thu, 06 Aug 2020 09:26:42 +0200
In-Reply-To: <87tuxgs0g8.fsf@HIDDEN> (Jonas Bernoulli's message of "Thu,
 06 Aug 2020 09:22:31 +0200")
Message-ID: <87k0ycfd59.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jonas Bernoulli <jonas@HIDDEN> writes: >> Looking at "git
 log", it seems that many of these patches were applied, >> but I can't tell
 if there's any that weren't. Is there anything further >> to be done in this
 bug report, or can it be clo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org, 41268 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jonas Bernoulli <jonas@HIDDEN> writes:

>> Looking at "git log", it seems that many of these patches were applied,
>> but I can't tell if there's any that weren't.  Is there anything further
>> to be done in this bug report, or can it be closed?
>
> This can be closed.

OK, done.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 6 Aug 2020 07:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 03:22:42 2020
Received: from localhost ([127.0.0.1]:52970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3aEc-0003GL-If
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:22:42 -0400
Received: from mail.hostpark.net ([212.243.197.30]:42164)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>)
 id 1k3aEa-0003Fv-6V; Thu, 06 Aug 2020 03:22:41 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 5BBF2B7AA7;
 Thu,  6 Aug 2020 09:22:38 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id s8RQpynliGHo; Thu,  6 Aug 2020 09:22:38 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 34CF4B7A6C;
 Thu,  6 Aug 2020 09:22:38 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
In-Reply-To: <871rkkj4p3.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN> <871rkkj4p3.fsf@HIDDEN>
Date: Thu, 06 Aug 2020 09:22:31 +0200
Message-ID: <87tuxgs0g8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org, 41268 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Looking at "git log", it seems that many of these patches were applied,
> but I can't tell if there's any that weren't.  Is there anything further
> to be done in this bug report, or can it be closed?

This can be closed.

I took out one commit, but re-submitted it in another series.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 5 Aug 2020 19:03:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 15:03:34 2020
Received: from localhost ([127.0.0.1]:52263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3OhJ-0006lH-VC
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 15:03:34 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1k3OhH-0006ku-La; Wed, 05 Aug 2020 15:03:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=NEqHEMy4mDIuwc0uh/XPr6ptHUJee4HBDaSSoLl1YGc=; b=dROWm68j+r2oNB3SdQGnkE7Xvr
 aegxxyGL7EgQgaoGmz6Ox+uZMg3NCB71T9opr1kN1h98EuLag9vfaGeXrmU36+1eNnGUUpm+TpkDQ
 JjfY4Y5D7DOOxHTlVd0VQFqQPyiffnXEK6+uOWaJCg1CcwRJBHfTYefZ9kThOA8mMMXI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3Oh7-0007yJ-Tq; Wed, 05 Aug 2020 21:03:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
Date: Wed, 05 Aug 2020 21:03:20 +0200
In-Reply-To: <20200514191325.22061-1-jonas@HIDDEN> (Jonas Bernoulli's
 message of "Thu, 14 May 2020 21:13:16 +0200")
Message-ID: <871rkkj4p3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jonas Bernoulli <jonas@HIDDEN> writes: > This patches
 make various cosmetic and hopefully uncontroversial > changes to epa and epg
 libraries. > > I am now to contributing to Emacs itself and not yet
 comfortable > with the commit message co [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org, 41268 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jonas Bernoulli <jonas@HIDDEN> writes:

> This patches make various cosmetic and hopefully uncontroversial
> changes to epa and epg libraries.
>
> I am now to contributing to Emacs itself and not yet comfortable
> with the commit message conventions among other things.  Tell me
> what I am doing wrong please.

Looking at "git log", it seems that many of these patches were applied,
but I can't tell if there's any that weren't.  Is there anything further
to be done in this bug report, or can it be closed?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 17 Jul 2020 07:30:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 17 03:30:34 2020
Received: from localhost ([127.0.0.1]:56620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jwKpF-0004cU-TE
	for submit <at> debbugs.gnu.org; Fri, 17 Jul 2020 03:30:34 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:51091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1jwKpE-0004cG-41
 for 41276 <at> debbugs.gnu.org; Fri, 17 Jul 2020 03:30:32 -0400
Received: by mail-wm1-f41.google.com with SMTP id c80so13645815wme.0
 for <41276 <at> debbugs.gnu.org>; Fri, 17 Jul 2020 00:30:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=N5Ea4e0B3/Tp7l4mEX/v1jzBDB+EyEWeltsUvj0uGGw=;
 b=anNw9axRfuIfz04agIohG+HYRO7L4rpKfqLhb0L5utsTNbIESmFwbOmn9pt2uccOYM
 rkbfe+XDR2dkDyCYWnLsUxnnAQmXajkVfrlq+zdEULw5Te+Fd5/gSI/OSfTSYbnwiHav
 fId9YbRGtQ7Rh6SY29/SUa5R2ofoM0KovCTr1FUm9ySLndHi+8wS9hZb2fZPXz3RDkq6
 B1HbwqP53CTX8tYob1FcxDULu6rTHuPaC0DI6/DYeWFio7/TXVoK2RU9vUEfVI7IEdnv
 WUdk9BXcKVSwewPSGResyg99DQ/rEEf7uysPigRKDgUDUTdhhrfs5OYOS9RyGOjvWBle
 W7WA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=N5Ea4e0B3/Tp7l4mEX/v1jzBDB+EyEWeltsUvj0uGGw=;
 b=XEjDcJVPGOLGyXkDMO8KgH89O+at53ox5Pj5b2Ed9doD7RAVtg+cpPN+KGWXWhLLkd
 jpuTrEezyO/UnsgrzhJAzZrb9l3NILv3/rGK+9C3es7vA8gpPRt7S6JOrCGlph0MzeSl
 er5PmcTS818+CZp9xoMNJ8wA6C42ymuO2XehdFijOAPU7bksFZTYWxjSYI+RsBIIWaTE
 L1x/yR5A9u6dkM2xfIKeRlV6obBLt6/dc7OH6Qpt6Mla+wMtQFBz32RxpARu8BmHrufe
 +Syub0PIYs8zJIXrvDdtWcvoA4KAr7eNjStrYiypmqtD9eLvjO8jDeJs7WQ6V7YuQnt1
 lyrw==
X-Gm-Message-State: AOAM533JPLqKN8lCvRINVn2UQSluZd52eE8UZeX4DD/gtcCTQVMvr8Ze
 Fk1GUS7IJ2Gy+6ySuXibJtw=
X-Google-Smtp-Source: ABdhPJyN4WU6ql649qQ+6Qgf2JeiM2p1/BPxs/1gJzD1g+mB/a1X6iOl+Zg5aVXdswf9U7YrTB0M2A==
X-Received: by 2002:a7b:c259:: with SMTP id b25mr7933535wmj.107.1594971026013; 
 Fri, 17 Jul 2020 00:30:26 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:6c9b:b312:5489:40ad])
 by smtp.gmail.com with ESMTPSA id c15sm12355483wme.23.2020.07.17.00.30.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jul 2020 00:30:25 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <CADwFkmkyeZHrHOJSkCwzh1Lch7te5et0V_+r3mG2dUuXh+EeZw@HIDDEN>
 <m23681zh07.fsf@HIDDEN> <87v9kkkdal.fsf@HIDDEN>
Date: Fri, 17 Jul 2020 09:30:24 +0200
In-Reply-To: <87v9kkkdal.fsf@HIDDEN> (Noam Postavsky's message of "Sun, 24
 May 2020 21:34:42 -0400")
Message-ID: <m2h7u6r433.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org, Jonas Bernoulli <jonas@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Sun, 24 May 2020 21:34:42 -0400, Noam Postavsky <npostavs@HIDDEN=
m> said:

    Noam> Robert Pluim <rpluim@HIDDEN> writes:
    >> It=CA=BCs a real shame that log-edit-generate-changelog-from-diff do=
esn't
    >> work correctly when committing via Magit, it really helps you get all
    >> the annoying details of ChangeLog entries right.

    Noam> You can try out https://github.com/magit/magit/pull/3928 which ma=
kes
    Noam> this functionality accessible from magit.  Also linked there is
    Noam> https://github.com/dickmao/magit-patch-changelog which takes a sl=
ightly
    Noam> different approach.

Thanks, I=CA=BCll take a look at it. Last time I checked out
magit-patch-changelog it didn=CA=BCt quite work the way I wanted.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 Jul 2020 02:23:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 14 22:23:05 2020
Received: from localhost ([127.0.0.1]:51848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jvX4b-0004Ak-1s
	for submit <at> debbugs.gnu.org; Tue, 14 Jul 2020 22:23:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jvX4Y-0004A3-SP
 for 41276 <at> debbugs.gnu.org; Tue, 14 Jul 2020 22:23:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45095)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jvX4S-0006w7-GO; Tue, 14 Jul 2020 22:22:56 -0400
Received: from [176.228.60.248] (port=1665 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jvX4R-0001kw-RF; Tue, 14 Jul 2020 22:22:56 -0400
Date: Wed, 15 Jul 2020 05:22:54 +0300
Message-Id: <831rldms8x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87o8ohu9uv.fsf@HIDDEN> (message from Jonas Bernoulli on Tue, 
 14 Jul 2020 22:20:40 +0200)
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN> <835zazrxdf.fsf@HIDDEN>
 <87d057t4ls.fsf@HIDDEN> <83r1tmrb6n.fsf@HIDDEN>
 <874kqitdir.fsf@HIDDEN> <87d04ydl4f.fsf@HIDDEN>
 <834kqam06r.fsf@HIDDEN> <87a702dk9z.fsf@HIDDEN>
 <83365tncuu.fsf@HIDDEN> <87o8ohu9uv.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: 41276 <at> debbugs.gnu.org
> Date: Tue, 14 Jul 2020 22:20:40 +0200
> 
> Nobody ever told me "you now have permission to push your changes to the
> master branch".

Well, you do, once the patch review is completed (as it is now).

> I think from the technical side I've got things figured out, just wasn't
> sure if I was supposed/allowed to carry out the push action myself.

Then there's no problem, please go ahead, and thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 Jul 2020 20:20:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 14 16:20:57 2020
Received: from localhost ([127.0.0.1]:51636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jvRQ9-0008TJ-2f
	for submit <at> debbugs.gnu.org; Tue, 14 Jul 2020 16:20:57 -0400
Received: from mail.hostpark.net ([212.243.197.30]:50000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jvRQ7-0008TB-PS
 for 41276 <at> debbugs.gnu.org; Tue, 14 Jul 2020 16:20:56 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 6CCE0165C5;
 Tue, 14 Jul 2020 22:20:54 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id ErOV1cv30eDG; Tue, 14 Jul 2020 22:20:54 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 3D6321611C;
 Tue, 14 Jul 2020 22:20:54 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
In-Reply-To: <83365tncuu.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN> <835zazrxdf.fsf@HIDDEN>
 <87d057t4ls.fsf@HIDDEN> <83r1tmrb6n.fsf@HIDDEN>
 <874kqitdir.fsf@HIDDEN> <87d04ydl4f.fsf@HIDDEN>
 <834kqam06r.fsf@HIDDEN> <87a702dk9z.fsf@HIDDEN>
 <83365tncuu.fsf@HIDDEN>
Date: Tue, 14 Jul 2020 22:20:40 +0200
Message-ID: <87o8ohu9uv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Jonas Bernoulli <jonas@HIDDEN>
>> Cc: 41276 <at> debbugs.gnu.org
>> Date: Tue, 14 Jul 2020 20:27:36 +0200
>> 
>>   Do you want *me* to push this myself?
>> 
>> I was waiting for someone else to do it, since I am new here.  But it
>> is certainly easiest for me to do it, so if that's how things are done
>> around here, then I would be happy to do that.
>
> I don't mind pushing it, but maybe it's time for you to bite the
> bullet?  What exactly are the unknowns that make you feel uncertain?

Nobody ever told me "you now have permission to push your changes to the
master branch".  Technically I do have push permissions because I needed
that for GNU Elpa and these changes here have been approved -

- I just didn't want to assume I am allowed to push when I might not be.

> How about if you describe what you thought you'd do, and I see if
> anything's missing?

I think from the technical side I've got things figured out, just wasn't
sure if I was supposed/allowed to carry out the push action myself.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 Jul 2020 18:57:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 14 14:57:58 2020
Received: from localhost ([127.0.0.1]:51621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jvQ7q-0006X4-Jo
	for submit <at> debbugs.gnu.org; Tue, 14 Jul 2020 14:57:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jvQ7n-0006Ws-Np
 for 41276 <at> debbugs.gnu.org; Tue, 14 Jul 2020 14:57:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37698)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jvQ7h-0002EK-FU; Tue, 14 Jul 2020 14:57:49 -0400
Received: from [176.228.60.248] (port=2385 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jvQ7g-0001Lf-9a; Tue, 14 Jul 2020 14:57:49 -0400
Date: Tue, 14 Jul 2020 21:57:45 +0300
Message-Id: <83365tncuu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87a702dk9z.fsf@HIDDEN> (message from Jonas Bernoulli on Tue, 
 14 Jul 2020 20:27:36 +0200)
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN> <835zazrxdf.fsf@HIDDEN>
 <87d057t4ls.fsf@HIDDEN> <83r1tmrb6n.fsf@HIDDEN>
 <874kqitdir.fsf@HIDDEN> <87d04ydl4f.fsf@HIDDEN>
 <834kqam06r.fsf@HIDDEN> <87a702dk9z.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: 41276 <at> debbugs.gnu.org
> Date: Tue, 14 Jul 2020 20:27:36 +0200
> 
>   Do you want *me* to push this myself?
> 
> I was waiting for someone else to do it, since I am new here.  But it
> is certainly easiest for me to do it, so if that's how things are done
> around here, then I would be happy to do that.

I don't mind pushing it, but maybe it's time for you to bite the
bullet?  What exactly are the unknowns that make you feel uncertain?

How about if you describe what you thought you'd do, and I see if
anything's missing?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 Jul 2020 18:27:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 14 14:27:40 2020
Received: from localhost ([127.0.0.1]:51605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jvPeW-0005ps-8L
	for submit <at> debbugs.gnu.org; Tue, 14 Jul 2020 14:27:40 -0400
Received: from mail.hostpark.net ([212.243.197.30]:46592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jvPeT-0005pj-PD
 for 41276 <at> debbugs.gnu.org; Tue, 14 Jul 2020 14:27:38 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 6D98D1611C;
 Tue, 14 Jul 2020 20:27:36 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id 82ZAeSSVgInz; Tue, 14 Jul 2020 20:27:36 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 3F3DE165C4;
 Tue, 14 Jul 2020 20:27:36 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
In-Reply-To: <834kqam06r.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN> <835zazrxdf.fsf@HIDDEN>
 <87d057t4ls.fsf@HIDDEN> <83r1tmrb6n.fsf@HIDDEN>
 <874kqitdir.fsf@HIDDEN> <87d04ydl4f.fsf@HIDDEN>
 <834kqam06r.fsf@HIDDEN>
Date: Tue, 14 Jul 2020 20:27:36 +0200
Message-ID: <87a702dk9z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Jonas Bernoulli <jonas@HIDDEN>
>> Cc: 41276 <at> debbugs.gnu.org
>> Date: Tue, 14 Jul 2020 20:09:20 +0200
>> 
>> Eli, do you want me to do anything else before merging?
>
> No, I think everything is in order.
>
> Thanks.

Ah, I should have stuck with the question I was initially going to ask.

  Do you want *me* to push this myself?

I was waiting for someone else to do it, since I am new here.  But it
is certainly easiest for me to do it, so if that's how things are done
around here, then I would be happy to do that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 Jul 2020 18:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 14 14:16:58 2020
Received: from localhost ([127.0.0.1]:51601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jvPUA-0005aR-6N
	for submit <at> debbugs.gnu.org; Tue, 14 Jul 2020 14:16:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jvPU5-0005aB-SF
 for 41276 <at> debbugs.gnu.org; Tue, 14 Jul 2020 14:16:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36899)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jvPU0-00056G-2q; Tue, 14 Jul 2020 14:16:48 -0400
Received: from [176.228.60.248] (port=3867 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jvPTz-00005t-Gm; Tue, 14 Jul 2020 14:16:47 -0400
Date: Tue, 14 Jul 2020 21:16:44 +0300
Message-Id: <834kqam06r.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87d04ydl4f.fsf@HIDDEN> (message from Jonas Bernoulli on Tue, 
 14 Jul 2020 20:09:20 +0200)
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN> <835zazrxdf.fsf@HIDDEN>
 <87d057t4ls.fsf@HIDDEN> <83r1tmrb6n.fsf@HIDDEN>
 <874kqitdir.fsf@HIDDEN> <87d04ydl4f.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: 41276 <at> debbugs.gnu.org
> Date: Tue, 14 Jul 2020 20:09:20 +0200
> 
> Eli, do you want me to do anything else before merging?

No, I think everything is in order.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 Jul 2020 18:09:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 14 14:09:25 2020
Received: from localhost ([127.0.0.1]:51583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jvPMr-0005PH-JJ
	for submit <at> debbugs.gnu.org; Tue, 14 Jul 2020 14:09:25 -0400
Received: from mail.hostpark.net ([212.243.197.30]:46844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jvPMp-0005P6-2q
 for 41276 <at> debbugs.gnu.org; Tue, 14 Jul 2020 14:09:24 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 65A5A161C6;
 Tue, 14 Jul 2020 20:09:21 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id qcd8Nwu2GB9Z; Tue, 14 Jul 2020 20:09:21 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 31486162E2;
 Tue, 14 Jul 2020 20:09:21 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
In-Reply-To: <874kqitdir.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN> <835zazrxdf.fsf@HIDDEN>
 <87d057t4ls.fsf@HIDDEN> <83r1tmrb6n.fsf@HIDDEN>
 <874kqitdir.fsf@HIDDEN>
Date: Tue, 14 Jul 2020 20:09:20 +0200
Message-ID: <87d04ydl4f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jonas Bernoulli <jonas@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> From: Jonas Bernoulli <jonas@HIDDEN>
>>> Cc: 41276 <at> debbugs.gnu.org
>>> Date: Tue, 07 Jul 2020 23:09:03 +0200
>>> 
>>> Eli Zaretskii <eliz@HIDDEN> writes:
>>> > Thanks.  Are any of the changes NEWS-worthy?
>>> 
>>> I don't think so.  It's all just cleanup.
>>> 
>>> Okay maybe the last commit:
>>> * lisp/epa.el (epa-show-key): New command.
>>> but that only *technically* adds a new command,
>>> in practice it fixes the issue that previously
>>> a key did not work in a certain location.
>>> 
>>> I don't that's newsworthy.
>>
>> NEWS-worthy means that some user of this functionality would like to
>> know about the change.  If you think they won't, that's fine by me.
>
> I think it is not newsworthy, please merge it without such a notice.

Eli, do you want me to do anything else before merging?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 8 Jul 2020 12:08:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 08 08:08:47 2020
Received: from localhost ([127.0.0.1]:37596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jt8sZ-00082p-FD
	for submit <at> debbugs.gnu.org; Wed, 08 Jul 2020 08:08:47 -0400
Received: from mail.hostpark.net ([212.243.197.30]:33030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jt8sY-00082g-1f
 for 41276 <at> debbugs.gnu.org; Wed, 08 Jul 2020 08:08:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id A770B16392;
 Wed,  8 Jul 2020 14:08:44 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id dQE4ltlc7ygt; Wed,  8 Jul 2020 14:08:44 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 80C6C160AE;
 Wed,  8 Jul 2020 14:08:44 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
In-Reply-To: <83r1tmrb6n.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN> <835zazrxdf.fsf@HIDDEN>
 <87d057t4ls.fsf@HIDDEN> <83r1tmrb6n.fsf@HIDDEN>
Date: Wed, 08 Jul 2020 14:08:44 +0200
Message-ID: <874kqitdir.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Jonas Bernoulli <jonas@HIDDEN>
>> Cc: 41276 <at> debbugs.gnu.org
>> Date: Tue, 07 Jul 2020 23:09:03 +0200
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> > Thanks.  Are any of the changes NEWS-worthy?
>> 
>> I don't think so.  It's all just cleanup.
>> 
>> Okay maybe the last commit:
>> * lisp/epa.el (epa-show-key): New command.
>> but that only *technically* adds a new command,
>> in practice it fixes the issue that previously
>> a key did not work in a certain location.
>> 
>> I don't that's newsworthy.
>
> NEWS-worthy means that some user of this functionality would like to
> know about the change.  If you think they won't, that's fine by me.

I think it is not newsworthy, please merge it without such a notice.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 8 Jul 2020 02:29:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 22:29:49 2020
Received: from localhost ([127.0.0.1]:37135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jszqH-0008FC-KK
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 22:29:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jszqE-0008Ex-Nr
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 22:29:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57046)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jszq9-0006ic-73; Tue, 07 Jul 2020 22:29:41 -0400
Received: from [176.228.60.248] (port=4791 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jszq7-0003wS-U3; Tue, 07 Jul 2020 22:29:40 -0400
Date: Wed, 08 Jul 2020 05:29:52 +0300
Message-Id: <83r1tmrb6n.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87d057t4ls.fsf@HIDDEN> (message from Jonas Bernoulli on Tue, 
 07 Jul 2020 23:09:03 +0200)
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN> <835zazrxdf.fsf@HIDDEN>
 <87d057t4ls.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: 41276 <at> debbugs.gnu.org
> Date: Tue, 07 Jul 2020 23:09:03 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> > Thanks.  Are any of the changes NEWS-worthy?
> 
> I don't think so.  It's all just cleanup.
> 
> Okay maybe the last commit:
> * lisp/epa.el (epa-show-key): New command.
> but that only *technically* adds a new command,
> in practice it fixes the issue that previously
> a key did not work in a certain location.
> 
> I don't that's newsworthy.

NEWS-worthy means that some user of this functionality would like to
know about the change.  If you think they won't, that's fine by me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 21:09:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 17:09:20 2020
Received: from localhost ([127.0.0.1]:36858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jsuq7-0000OK-Ou
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 17:09:19 -0400
Received: from mail.hostpark.net ([212.243.197.30]:46344)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jsuq5-0000OB-FD
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 17:09:17 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 235F8166D9;
 Tue,  7 Jul 2020 23:09:16 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id QP_OGtUpe4_7; Tue,  7 Jul 2020 23:09:16 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id F0D211669F;
 Tue,  7 Jul 2020 23:09:15 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
In-Reply-To: <835zazrxdf.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN> <835zazrxdf.fsf@HIDDEN>
Date: Tue, 07 Jul 2020 23:09:03 +0200
Message-ID: <87d057t4ls.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:
> Thanks.  Are any of the changes NEWS-worthy?

I don't think so.  It's all just cleanup.

Okay maybe the last commit:
* lisp/epa.el (epa-show-key): New command.
but that only *technically* adds a new command,
in practice it fixes the issue that previously
a key did not work in a certain location.

I don't that's newsworthy.

     Jonas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 18:30:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 14:30:38 2020
Received: from localhost ([127.0.0.1]:36693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jssMY-0004nK-P4
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 14:30:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jssMW-0004n4-Ax
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 14:30:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50703)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jssMP-0004sw-DT; Tue, 07 Jul 2020 14:30:30 -0400
Received: from [176.228.60.248] (port=3010 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jssML-0001dh-Ss; Tue, 07 Jul 2020 14:30:28 -0400
Date: Tue, 07 Jul 2020 21:30:36 +0300
Message-Id: <835zazrxdf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <20200707154739.1829-1-jonas@HIDDEN> (message from Jonas
 Bernoulli on Tue, 7 Jul 2020 17:47:31 +0200)
Subject: Re: bug#41276: [PATCH v2 0/8] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <20200707154739.1829-1-jonas@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Date: Tue,  7 Jul 2020 17:47:31 +0200
> 
> Here's v2.  I believe I have addressed all the feedback.

Thanks.  Are any of the changes NEWS-worthy?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:47:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:47:52 2020
Received: from localhost ([127.0.0.1]:36553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspp2-0000ZY-AP
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:52 -0400
Received: from mail.hostpark.net ([212.243.197.30]:48008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspow-0000Y6-3q
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:46 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 13AFA1664C
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:43 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id 3QDESDOCSAI2 for <41276 <at> debbugs.gnu.org>;
 Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id DB15C1665A
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH v2 8/8] * lisp/epa.el (epa-show-key): New command.
Date: Tue,  7 Jul 2020 17:47:39 +0200
Message-Id: <20200707154739.1829-9-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200707154739.1829-8-jonas@HIDDEN>
References: <20200707154739.1829-1-jonas@HIDDEN>
 <20200707154739.1829-2-jonas@HIDDEN>
 <20200707154739.1829-3-jonas@HIDDEN>
 <20200707154739.1829-4-jonas@HIDDEN>
 <20200707154739.1829-5-jonas@HIDDEN>
 <20200707154739.1829-6-jonas@HIDDEN>
 <20200707154739.1829-7-jonas@HIDDEN>
 <20200707154739.1829-8-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Users can move in `epa-key-list-mode' buffers using either
`next-line'/`previous-line' or `widget-forward'/`widget-backward'.
When using the first set of commands, then the cursor stays in the
current column and that normally is the first column.  The key
widgets do not begin until the third character of their respective
lines.

All `epa' commands work regardless of whether the cursor is on the
widget or before them.  The `epa-show-key' command did not exist until
now because the `widget-button-press' already performs its task.  But
because the widgets don't span complete lines we actually need this
command too.
---
 lisp/epa.el | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/lisp/epa.el b/lisp/epa.el
index 8f45c667b9..3c7dd8309a 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -25,7 +25,9 @@
 (require 'epg)
 (require 'font-lock)
 (require 'widget)
-(eval-when-compile (require 'wid-edit))
+(eval-when-compile
+  (require 'subr-x)
+  (require 'wid-edit))
 (require 'derived)
 
 (defgroup epa nil
@@ -189,6 +191,7 @@ epa-key-list-mode-map
   (let ((keymap (make-sparse-keymap))
 	(menu-map (make-sparse-keymap)))
     (set-keymap-parent keymap widget-keymap)
+    (define-key keymap "\C-m" 'epa-show-key)
     (define-key keymap "m" 'epa-mark-key)
     (define-key keymap "u" 'epa-unmark-key)
     (define-key keymap "d" 'epa-decrypt-file)
@@ -502,6 +505,14 @@ epa-select-keys
   (let ((keys (epg-list-keys context names secret)))
     (epa--select-keys prompt keys)))
 
+(defun epa-show-key ()
+  "Show a key on the current line."
+  (interactive)
+  (if-let ((key (get-text-property (point) 'epa-key)))
+      (save-selected-window
+        (epa--show-key key))
+    (error "No key on this line")))
+
 (defun epa--show-key (key)
   (let* ((primary-sub-key (car (epg-key-sub-key-list key)))
 	 (entry (assoc (epg-sub-key-id primary-sub-key)
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:47:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:47:52 2020
Received: from localhost ([127.0.0.1]:36551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspp2-0000ZR-37
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:52 -0400
Received: from mail.hostpark.net ([212.243.197.30]:48006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspow-0000Y5-36
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:46 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 0B78B166FF
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:43 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id xKTvK3mngsLr for <41276 <at> debbugs.gnu.org>;
 Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id D08561664C
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH v2 7/8] epa-key-list-mode-map: Use widget-keymap as parent
 keymap
Date: Tue,  7 Jul 2020 17:47:38 +0200
Message-Id: <20200707154739.1829-8-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200707154739.1829-7-jonas@HIDDEN>
References: <20200707154739.1829-1-jonas@HIDDEN>
 <20200707154739.1829-2-jonas@HIDDEN>
 <20200707154739.1829-3-jonas@HIDDEN>
 <20200707154739.1829-4-jonas@HIDDEN>
 <20200707154739.1829-5-jonas@HIDDEN>
 <20200707154739.1829-6-jonas@HIDDEN>
 <20200707154739.1829-7-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Normally when one keymap is to be treated as the parent of another,
then that relationship is setup once at the time when the child is
being defined, i.e. at birth.  For some reason, this was not done
here; instead `widget-keymap' is set as `epa-key-list-mode-map'
parent every time the former is setup to be used as the local map.

This appears to be a mistake.  A few other keymaps use `widget-keymap'
as their parent and in those cases the relationship is established
just once. `epa-key-list-mode-map' is the only exception and because
there is absolutely no indication that that is justified, we remove
this inconsistency.

* lisp/epa.el (epa-key-list-mode-map): Set the parent of this keymap
while defining it.
* lisp/epa.el (epa--list-keys): Do not set the parent of the local
keymap here.
---
 lisp/epa.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/epa.el b/lisp/epa.el
index e4d1e5b414..8f45c667b9 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -188,6 +188,7 @@ epa-last-coding-system-specified
 (defvar epa-key-list-mode-map
   (let ((keymap (make-sparse-keymap))
 	(menu-map (make-sparse-keymap)))
+    (set-keymap-parent keymap widget-keymap)
     (define-key keymap "m" 'epa-mark-key)
     (define-key keymap "u" 'epa-unmark-key)
     (define-key keymap "d" 'epa-decrypt-file)
@@ -399,8 +400,7 @@ epa--list-keys
       (goto-char point))
 
     (epa--insert-keys (epg-list-keys context name secret))
-    (widget-setup)
-    (set-keymap-parent (current-local-map) widget-keymap))
+    (widget-setup))
   (make-local-variable 'epa-list-keys-arguments)
   (setq epa-list-keys-arguments (list name secret))
   (goto-char (point-min))
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:47:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:47:52 2020
Received: from localhost ([127.0.0.1]:36549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspp1-0000ZK-PM
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:52 -0400
Received: from mail.hostpark.net ([212.243.197.30]:48004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspov-0000Xt-TJ
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:46 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 01BC816A30
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:43 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id uetLneAAQ3oA for <41276 <at> debbugs.gnu.org>;
 Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id C75FC16954
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH v2 6/8] Cosmetic changes to epa libraries
Date: Tue,  7 Jul 2020 17:47:37 +0200
Message-Id: <20200707154739.1829-7-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200707154739.1829-6-jonas@HIDDEN>
References: <20200707154739.1829-1-jonas@HIDDEN>
 <20200707154739.1829-2-jonas@HIDDEN>
 <20200707154739.1829-3-jonas@HIDDEN>
 <20200707154739.1829-4-jonas@HIDDEN>
 <20200707154739.1829-5-jonas@HIDDEN>
 <20200707154739.1829-6-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

These changes make the code more readable.

* lisp/epa-dired.el (epa-dired-do-decrypt, epa-dired-do-verify)
(epa-dired-do-sign, epa-dired-do-encrypt): Use dolist instead
of while.
* lisp/epa-file.el (epa-file-passphrase-callback-function):
Set just one variable per setq call.
---
 lisp/epa-dired.el | 44 ++++++++++++++++++--------------------------
 lisp/epa-file.el  |  4 ++--
 2 files changed, 20 insertions(+), 28 deletions(-)

diff --git a/lisp/epa-dired.el b/lisp/epa-dired.el
index f601d42656..9269ea9707 100644
--- a/lisp/epa-dired.el
+++ b/lisp/epa-dired.el
@@ -29,48 +29,40 @@
 (defun epa-dired-do-decrypt ()
   "Decrypt marked files."
   (interactive)
-  (let ((file-list (dired-get-marked-files)))
-    (while file-list
-      (epa-decrypt-file (expand-file-name (car file-list)))
-      (setq file-list (cdr file-list)))
-    (revert-buffer)))
+  (dolist (file (dired-get-marked-files))
+    (epa-decrypt-file (expand-file-name file)))
+  (revert-buffer))
 
 ;;;###autoload
 (defun epa-dired-do-verify ()
   "Verify marked files."
   (interactive)
-  (let ((file-list (dired-get-marked-files)))
-    (while file-list
-      (epa-verify-file (expand-file-name (car file-list)))
-      (setq file-list (cdr file-list)))))
+  (dolist (file (dired-get-marked-files))
+    (epa-verify-file (expand-file-name file))))
 
 ;;;###autoload
 (defun epa-dired-do-sign ()
   "Sign marked files."
   (interactive)
-  (let ((file-list (dired-get-marked-files)))
-    (while file-list
-      (epa-sign-file
-       (expand-file-name (car file-list))
-       (epa-select-keys (epg-make-context) "Select keys for signing.
+  (dolist (file (dired-get-marked-files))
+    (epa-sign-file
+     (expand-file-name file)
+     (epa-select-keys (epg-make-context) "Select keys for signing.
 If no one is selected, default secret key is used.  "
-			nil t)
-       (y-or-n-p "Make a detached signature? "))
-      (setq file-list (cdr file-list)))
-    (revert-buffer)))
+		      nil t)
+     (y-or-n-p "Make a detached signature? ")))
+  (revert-buffer))
 
 ;;;###autoload
 (defun epa-dired-do-encrypt ()
   "Encrypt marked files."
   (interactive)
-  (let ((file-list (dired-get-marked-files)))
-    (while file-list
-      (epa-encrypt-file
-       (expand-file-name (car file-list))
-       (epa-select-keys (epg-make-context) "Select recipients for encryption.
-If no one is selected, symmetric encryption will be performed.  "))
-      (setq file-list (cdr file-list)))
-    (revert-buffer)))
+  (dolist (file (dired-get-marked-files))
+    (epa-encrypt-file
+     (expand-file-name file)
+     (epa-select-keys (epg-make-context) "Select recipients for encryption.
+If no one is selected, symmetric encryption will be performed.  ")))
+  (revert-buffer))
 
 (provide 'epa-dired)
 
diff --git a/lisp/epa-file.el b/lisp/epa-file.el
index 14a169b13f..20043a9eae 100644
--- a/lisp/epa-file.el
+++ b/lisp/epa-file.el
@@ -61,8 +61,8 @@ epa-file-passphrase-callback-function
 	  (or (copy-sequence (cdr entry))
 	      (progn
 		(unless entry
-		  (setq entry (list file)
-			epa-file-passphrase-alist
+		  (setq entry (list file))
+		  (setq epa-file-passphrase-alist
 			(cons entry
 			      epa-file-passphrase-alist)))
 		(setq passphrase (epa-passphrase-callback-function context
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:47:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:47:51 2020
Received: from localhost ([127.0.0.1]:36547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspp1-0000ZD-Fx
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:51 -0400
Received: from mail.hostpark.net ([212.243.197.30]:48002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspov-0000Xs-Sc
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:46 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id F24E216A2C
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id h6osD0Orw9ga for <41276 <at> debbugs.gnu.org>;
 Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id BE85D16708
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH v2 5/8] Drop unnecessary backward compatibility aliases
Date: Tue,  7 Jul 2020 17:47:36 +0200
Message-Id: <20200707154739.1829-6-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200707154739.1829-5-jonas@HIDDEN>
References: <20200707154739.1829-1-jonas@HIDDEN>
 <20200707154739.1829-2-jonas@HIDDEN>
 <20200707154739.1829-3-jonas@HIDDEN>
 <20200707154739.1829-4-jonas@HIDDEN>
 <20200707154739.1829-5-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

We can assume that `encode-coding-string' and `decode-coding-string'
are available; they were added in 1997.

* lisp/epa-file.el (epa-file--encode-coding-string)
(epa-file--decode-coding-string): Remove aliases for
encode-coding-string and decode-coding-string.
* lisp/epa-file.el (epa-file-write-region): Use encode-coding-string
instead of removed epa-file--encode-coding-string.
---
 lisp/epa-file.el | 22 ++++------------------
 1 file changed, 4 insertions(+), 18 deletions(-)

diff --git a/lisp/epa-file.el b/lisp/epa-file.el
index 22c3dc1146..14a169b13f 100644
--- a/lisp/epa-file.el
+++ b/lisp/epa-file.el
@@ -51,16 +51,6 @@ epa-file-select-keys
 
 (defvar epa-file-passphrase-alist nil)
 
-(eval-and-compile
-  (if (fboundp 'encode-coding-string)
-      (defalias 'epa-file--encode-coding-string 'encode-coding-string)
-    (defalias 'epa-file--encode-coding-string 'identity)))
-
-(eval-and-compile
-  (if (fboundp 'decode-coding-string)
-      (defalias 'epa-file--decode-coding-string 'decode-coding-string)
-    (defalias 'epa-file--decode-coding-string 'identity)))
-
 (defun epa-file-passphrase-callback-function (context key-id file)
   (if (and epa-file-cache-passphrase-for-symmetric-encryption
 	   (eq key-id 'SYM))
@@ -236,11 +226,7 @@ epa-file-write-region
   (setq file (expand-file-name file))
   (let* ((coding-system (or coding-system-for-write
 			    (if (fboundp 'select-safe-coding-system)
-				;; This is needed since Emacs 22 has
-				;; no-conversion setting for *.gpg in
-				;; `auto-coding-alist'.
-			        (let ((buffer-file-name
-				       (file-name-sans-extension file)))
+			        (let ((buffer-file-name file))
 				  (select-safe-coding-system
 				   (point-min) (point-max)))
 			      buffer-file-coding-system)))
@@ -266,7 +252,7 @@ epa-file-write-region
 	      (epg-encrypt-string
 	       context
 	       (if (stringp start)
-		   (epa-file--encode-coding-string start coding-system)
+		   (encode-coding-string start coding-system)
 		 (unless start
 		   (setq start (point-min)
 			 end (point-max)))
@@ -280,8 +266,8 @@ epa-file-write-region
 		   ;; decrypted contents.
 		   (format-encode-buffer (with-current-buffer buffer
 					   buffer-file-format))
-		   (epa-file--encode-coding-string (buffer-string)
-						   coding-system)))
+		   (encode-coding-string (buffer-string)
+					 coding-system)))
 	       (if (or (eq epa-file-select-keys t)
 		       (and (null epa-file-select-keys)
 			    (not (local-variable-p 'epa-file-encrypt-to
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:47:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:47:51 2020
Received: from localhost ([127.0.0.1]:36545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspp1-0000Z5-5V
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:51 -0400
Received: from mail.hostpark.net ([212.243.197.30]:47990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspou-0000Xd-7g
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:45 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id EF1B2166F7
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id lSAmsyeiE6tM for <41276 <at> debbugs.gnu.org>;
 Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id B5F1A166FF
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH v2 4/8] Improve and add doc-strings
Date: Tue,  7 Jul 2020 17:47:35 +0200
Message-Id: <20200707154739.1829-5-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200707154739.1829-4-jonas@HIDDEN>
References: <20200707154739.1829-1-jonas@HIDDEN>
 <20200707154739.1829-2-jonas@HIDDEN>
 <20200707154739.1829-3-jonas@HIDDEN>
 <20200707154739.1829-4-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* lisp/epa-file.el (epa-file-select-keys):
lisp/epa-hook.el (epa-file-name-regexp):
lisp/epa.el (epa-exit-buffer): Improve doc-string.
* lisp/epa-hook.el (epa-file-name-regexp-update): Add doc-string.
---
 lisp/epa-file.el |  4 ++--
 lisp/epa-hook.el | 11 +++++++----
 lisp/epa.el      |  3 +--
 3 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/lisp/epa-file.el b/lisp/epa-file.el
index dedf20b0d7..22c3dc1146 100644
--- a/lisp/epa-file.el
+++ b/lisp/epa-file.el
@@ -40,9 +40,9 @@ epa-file-cache-passphrase-for-symmetric-encryption
 (defcustom epa-file-select-keys nil
   "Control whether or not to pop up the key selection dialog.
 
-If t, always asks user to select recipients.
+If t, always ask user to select recipients.
 If nil, query user only when `epa-file-encrypt-to' is not set.
-If neither t nor nil, doesn't ask user.  In this case, symmetric
+If neither t nor nil, don't ask user.  In this case, symmetric
 encryption is used."
   :type '(choice (const :tag "Ask always" t)
 		 (const :tag "Ask when recipients are not set" nil)
diff --git a/lisp/epa-hook.el b/lisp/epa-hook.el
index d424e7a9fa..a86f23eb68 100644
--- a/lisp/epa-hook.el
+++ b/lisp/epa-hook.el
@@ -35,10 +35,10 @@ epa-file--file-name-regexp-set
 (defcustom epa-file-name-regexp (purecopy "\\.gpg\\(~\\|\\.~[0-9]+~\\)?\\'")
   "Regexp which matches filenames to be encrypted with GnuPG.
 
-If you set this outside Custom while epa-file is already enabled, you
-have to call `epa-file-name-regexp-update' after setting it to
-properly update file-name-handler-alist.  Setting this through Custom
-does that automatically."
+If you set this outside Custom while epa-file is already enabled,
+you have to call `epa-file-name-regexp-update' after setting it
+to properly update `file-name-handler-alist'.  Setting this
+through Custom does that automatically."
   :type 'regexp
   :group 'epa-file
   :set 'epa-file--file-name-regexp-set)
@@ -72,6 +72,9 @@ epa-file-auto-mode-alist-entry
   (list epa-file-name-regexp nil 'epa-file))
 
 (defun epa-file-name-regexp-update ()
+  "Update `file-name-handler-alist' after configuring outside Custom.
+After setting `epa-file-name-regexp-update' outside the Custom
+interface, update `file-name-handler-alist'."
   (interactive)
   (unless (equal (car epa-file-handler) epa-file-name-regexp)
     (setcar epa-file-handler epa-file-name-regexp)))
diff --git a/lisp/epa.el b/lisp/epa.el
index 40b3861ea8..e4d1e5b414 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -335,8 +335,7 @@ epa-unmark-key
   (epa-mark-key (not arg)))
 
 (defun epa-exit-buffer ()
-  "Exit the current buffer.
-`epa-exit-buffer-function' is called if it is set."
+  "Exit the current buffer using `epa-exit-buffer-function'."
   (interactive)
   (funcall epa-exit-buffer-function))
 
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:47:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:47:51 2020
Received: from localhost ([127.0.0.1]:36543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspp0-0000Yy-Rp
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:51 -0400
Received: from mail.hostpark.net ([212.243.197.30]:47998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspou-0000Xh-7f
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:45 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id DC97E169DB
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id qTof2HErpm4m for <41276 <at> debbugs.gnu.org>;
 Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id AD1A3166F7
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH v2 3/8] * lisp/epg-config.el
 (epg-config--make-gpg-configuration): Fix indentation.
Date: Tue,  7 Jul 2020 17:47:34 +0200
Message-Id: <20200707154739.1829-4-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200707154739.1829-3-jonas@HIDDEN>
References: <20200707154739.1829-1-jonas@HIDDEN>
 <20200707154739.1829-2-jonas@HIDDEN>
 <20200707154739.1829-3-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 lisp/epg-config.el | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/lisp/epg-config.el b/lisp/epg-config.el
index daa9a5abd1..1c42924652 100644
--- a/lisp/epg-config.el
+++ b/lisp/epg-config.el
@@ -202,13 +202,13 @@ epg-config--make-gpg-configuration
 	(cond
 	 ((eq type 'group)
 	  (if (string-match "\\`\\([^:]+\\):" args)
-		  (setq groups
-			(cons (cons (downcase (match-string 1 args))
-				    (delete "" (split-string
-						(substring args
-							   (match-end 0))
-						";")))
-			      groups))
+	      (setq groups
+		    (cons (cons (downcase (match-string 1 args))
+				(delete "" (split-string
+					    (substring args
+						       (match-end 0))
+					    ";")))
+			  groups))
 	    (if epg-debug
 		(message "Invalid group configuration: %S" args))))
 	 ((memq type '(pubkey cipher digest compress))
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:47:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:47:50 2020
Received: from localhost ([127.0.0.1]:36541 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspox-0000Yo-70
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:50 -0400
Received: from mail.hostpark.net ([212.243.197.30]:47992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspou-0000Xe-7i
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:45 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id C730716780
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id U2L9A9ulwpbf for <41276 <at> debbugs.gnu.org>;
 Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 9BB951664C
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH v2 1/8] * lisp/epa.el (epa-faces): Move definition.
Date: Tue,  7 Jul 2020 17:47:32 +0200
Message-Id: <20200707154739.1829-2-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200707154739.1829-1-jonas@HIDDEN>
References: <20200707154739.1829-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Previously option `epa-mail-aliases' was the only option that was
defined right after the group `epa-faces' and right before all the
faces.  Now it is defined with all the other options and thus before
the definition of the `epa-faces' group, which it does not belong to.
---
 lisp/epa.el | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/lisp/epa.el b/lisp/epa.el
index 8ec4218735..0dd1cff465 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -56,11 +56,6 @@ epa-info-window-height
   :type 'integer
   :group 'epa)
 
-(defgroup epa-faces nil
-  "Faces for epa-mode."
-  :version "23.1"
-  :group 'epa)
-
 (defcustom epa-mail-aliases nil
   "Alist of aliases of email addresses that stand for encryption keys.
 Each element is a list of email addresses (ALIAS EXPANSIONS...).
@@ -76,6 +71,11 @@ epa-mail-aliases
   :group 'epa
   :version "24.4")
 
+(defgroup epa-faces nil
+  "Faces for epa-mode."
+  :version "23.1"
+  :group 'epa)
+
 (defface epa-validity-high
   '((default :weight bold)
     (((class color) (background dark)) :foreground "PaleTurquoise"))
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:47:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:47:47 2020
Received: from localhost ([127.0.0.1]:36539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspow-0000Yb-SZ
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:47 -0400
Received: from mail.hostpark.net ([212.243.197.30]:47994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspou-0000Xf-7h
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:45 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id C476C16735
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id n8hRsv0_PikV for <41276 <at> debbugs.gnu.org>;
 Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 9368C16616
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:39 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH v2 0/8] Various small improvements to EasyPG
Date: Tue,  7 Jul 2020 17:47:31 +0200
Message-Id: <20200707154739.1829-1-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Here's v2.  I believe I have addressed all the feedback.

I have removed one commit, to be resubmitted at a later time.

Sorry for the delay.

[These patch series was created using git-format-patch, which means
that the commit message summary lines can be found in the mail subject
lines.  I am the author of all of these commits, I am not just the
person who is submitting them.]

     Jonas


Jonas Bernoulli (8):
  * lisp/epa.el (epa-faces): Move definition.
  Add all epa faces to epa-faces Custom group
  * lisp/epg-config.el (epg-config--make-gpg-configuration): Fix
    indentation.
  Improve and add doc-strings
  Drop unnecessary backward compatibility aliases
  Cosmetic changes to epa libraries
  epa-key-list-mode-map: Use widget-keymap as parent keymap
  * lisp/epa.el (epa-show-key): New command.

 lisp/epa-dired.el  | 44 ++++++++++++++++++--------------------------
 lisp/epa-file.el   | 30 ++++++++----------------------
 lisp/epa-hook.el   | 11 +++++++----
 lisp/epa.el        | 39 ++++++++++++++++++++++++++-------------
 lisp/epg-config.el | 14 +++++++-------
 5 files changed, 66 insertions(+), 72 deletions(-)

-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:47:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:47:46 2020
Received: from localhost ([127.0.0.1]:36537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspow-0000YS-ED
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:46 -0400
Received: from mail.hostpark.net ([212.243.197.30]:47996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspou-0000Xg-7g
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:47:45 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id D03DF16616
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id 9ipI_ee08E9h for <41276 <at> debbugs.gnu.org>;
 Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id A47781665A
 for <41276 <at> debbugs.gnu.org>; Tue,  7 Jul 2020 17:47:42 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH v2 2/8] Add all epa faces to epa-faces Custom group
Date: Tue,  7 Jul 2020 17:47:33 +0200
Message-Id: <20200707154739.1829-3-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200707154739.1829-2-jonas@HIDDEN>
References: <20200707154739.1829-1-jonas@HIDDEN>
 <20200707154739.1829-2-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

`epa-validity-face-alist' isn't actually a face but belongs
in that group anyway.

* lisp/epa.el (epa-field-name, epa-field-body)
(epa-validity-face-alist): Add to epa-faces Custom group.
---
 lisp/epa.el | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/lisp/epa.el b/lisp/epa.el
index 0dd1cff465..40b3861ea8 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -117,13 +117,15 @@ epa-field-name
   '((default :weight bold)
     (((class color) (background dark)) :foreground "PaleTurquoise"))
   "Face for the name of the attribute field."
-  :group 'epa)
+  :version "28.1"
+  :group 'epa-faces)
 
 (defface epa-field-body
   '((default :slant italic)
     (((class color) (background dark)) :foreground "turquoise"))
   "Face for the body of the attribute field."
-  :group 'epa)
+  :version "28.1"
+  :group 'epa-faces)
 
 (defcustom epa-validity-face-alist
   '((unknown . epa-validity-disabled)
@@ -138,8 +140,9 @@ epa-validity-face-alist
     (full . epa-validity-high)
     (ultimate . epa-validity-high))
   "An alist mapping validity values to faces."
+  :version "28.1"
   :type '(repeat (cons symbol face))
-  :group 'epa)
+  :group 'epa-faces)
 
 (defvar epa-font-lock-keywords
   '(("^\\*"
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 7 Jul 2020 15:32:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 07 11:32:49 2020
Received: from localhost ([127.0.0.1]:36521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jspaS-0000Ad-TS
	for submit <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:32:49 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jspaQ-0000AT-Pk
 for 41276 <at> debbugs.gnu.org; Tue, 07 Jul 2020 11:32:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 142E616505;
 Tue,  7 Jul 2020 17:32:45 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id avrYEdG_HnlJ; Tue,  7 Jul 2020 17:32:44 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id DFA6D163FC;
 Tue,  7 Jul 2020 17:32:41 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>, Robert Pluim
 <rpluim@HIDDEN>
Subject: Re: bug#41276: [PATCH 2/9] Add all epa faces to epa-faces Custom group
In-Reply-To: <87zh8tmlv3.fsf@HIDDEN>
References: <20200514201618.26313-1-jonas@HIDDEN>
 <20200514201618.26313-2-jonas@HIDDEN> <m2y2pty248.fsf@HIDDEN>
 <87zh8tmlv3.fsf@HIDDEN>
Date: Tue, 07 Jul 2020 17:32:32 +0200
Message-ID: <87wo3fxrvz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Robert Pluim <rpluim@HIDDEN> writes:

>> Hmm, is this cause for setting the :version string on those
>> definitions (and on the relevant group(s))?
>
> I believe so, because they're user-facing changes.

Done.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 23 Jun 2020 22:57:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 23 18:57:30 2020
Received: from localhost ([127.0.0.1]:37387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnrr8-0000cb-NJ
	for submit <at> debbugs.gnu.org; Tue, 23 Jun 2020 18:57:30 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:40709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jnrr6-0000cN-6z
 for 41276 <at> debbugs.gnu.org; Tue, 23 Jun 2020 18:57:29 -0400
Received: by mail-wr1-f45.google.com with SMTP id h5so264667wrc.7
 for <41276 <at> debbugs.gnu.org>; Tue, 23 Jun 2020 15:57:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Y1lqnVWS7yRcSKcM5DcXdlV984MAvrtxOnFE/yYWzrM=;
 b=NcxaqaClMZfK/XAH1dYDrf8LAYZJH0rmdPxD0dnxU3eGOiocSy74ZSK0/zO0fNiO/H
 nWjXUgbveXfzZRv4FjqI9jbE6lipzEQ9RsdFePA3G5YKBgvo23kbPcw8WKiMCHZGFmCB
 k4rfm2D2m0sax7Y0xVmaiqF4IlgPET3Vaa/EHAo/BcV53Ggm8qsjQ0ZlKxOL25WcLgJd
 WJ2EOGaALC5KwPdyE4kMEB4R8laq9gs+gI0DrKLlUAYICQrCWAtmlDU6rsC/2qN9feXN
 RiBKQY5f+d/HhiFBumt3x9pYBF9ljqjWGC7GbGZeQjlc8TxfWzQ/Hz00N1cz/Hpu1c+B
 arog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Y1lqnVWS7yRcSKcM5DcXdlV984MAvrtxOnFE/yYWzrM=;
 b=l+2lvVSZD5DRzW25cqxaz9xiOT+JnKnTIO5frRWQ/jvw7vy87uMtfHSEsNxEQ8BTRD
 QNk2GFZ9F1AFQsONz9mGxjSlyWo2buo/air0akN+5+ld5MCBI8FZI13WF+ZGMlk5v/Le
 gOzu882ry26CDHU8hfGWHDY7iYnfd3AwfHViKOiA1WgBwHm50CScOLZ4uj9g/OBOALkQ
 ExytQafKntPQPDqSflYJ4PQ+bA4BG5FG6ioAQ1HtWtOaYny5sz3QXciRRyP4HZwhcXiS
 +wV9yl1/mW3paEL2D/wfG3fs4iCujxdxRaFjaVDRFBEgP7K6Wmzc9HNyD8Rp4Js0dotW
 r66g==
X-Gm-Message-State: AOAM533K5b8nozsanA327LwtoLFiYOgAcHIEw/FvQp9VKGPBsSF8I0al
 sactXcdEn57iDjy4A/vQcbS8LQ==
X-Google-Smtp-Source: ABdhPJwJ/heKt8tgAC/eb1EhoxrLm1W3cOScxYsoSxxBshl05jWv0sb7cQRK3rtsrUQaoPwFWQJCIA==
X-Received: by 2002:a5d:420e:: with SMTP id n14mr29201227wrq.164.1592953042281; 
 Tue, 23 Jun 2020 15:57:22 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id j5sm24345136wrm.57.2020.06.23.15.57.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 23 Jun 2020 15:57:21 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#41276: [PATCH 2/9] Add all epa faces to epa-faces Custom group
References: <20200514201618.26313-1-jonas@HIDDEN>
 <20200514201618.26313-2-jonas@HIDDEN> <m2y2pty248.fsf@HIDDEN>
Date: Tue, 23 Jun 2020 23:57:20 +0100
In-Reply-To: <m2y2pty248.fsf@HIDDEN> (Robert Pluim's message of "Fri, 15
 May 2020 11:32:55 +0200")
Message-ID: <87zh8tmlv3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org, Jonas Bernoulli <jonas@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Thu, 14 May 2020 22:16:11 +0200, Jonas Bernoulli <jonas@HIDDEN> said:
>
>     Jonas> 'epa-validity-face-alist' isn't actually a face but belongs in that
>     Jonas> group anyway.
>
>     Jonas> * lisp/epa.el (epa-field-name, epa-field-body,
>     Jonas> epa-validity-face-alist): Add to epa-faces Custom group
>     Jonas> ---
>     Jonas>  lisp/epa.el | 6 +++---
>     Jonas>  1 file changed, 3 insertions(+), 3 deletions(-)
>
> Hmm, is this cause for setting the :version string on those
> definitions (and on the relevant group(s))?

I believe so, because they're user-facing changes.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 25 May 2020 01:34:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 24 21:34:51 2020
Received: from localhost ([127.0.0.1]:39157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jd20x-0005BT-Aa
	for submit <at> debbugs.gnu.org; Sun, 24 May 2020 21:34:51 -0400
Received: from mail-qv1-f48.google.com ([209.85.219.48]:33904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jd20v-0005BF-ET
 for 41276 <at> debbugs.gnu.org; Sun, 24 May 2020 21:34:49 -0400
Received: by mail-qv1-f48.google.com with SMTP id r3so7507269qve.1
 for <41276 <at> debbugs.gnu.org>; Sun, 24 May 2020 18:34:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=WxM8LE3y0Qmsaz2XXFICtngv86o5czwUuLTGVJLPtWQ=;
 b=N88jNoYU2IVkNy3T6NM0iVQe82xzMXE2GM0AYqEt11jRwg4gqaAlfD6LJhQ8WWe1Kq
 8ZFnv8/pYGUZWQlhohpMGPTq2wSyj9uVvilLMGgPu6NuavD5y3N4EM+ihRg2sy9UlQsw
 U/Qb4jym8+I84OoU5FQsh+8yYf/03pW/lCZlKADZ5St6314Ot6BlqyoFywfxp06z4iiK
 +BfueTIpeaf/zYIHbxjiR/TudQU0g+YWZVMZzYmjtPpYV8vGjySWtZAfqQ8LGLdE/MIL
 /ypU9FCowhk46Ev0x/KacBKCYsIgXcmO+TWQhoSglj72UmhKENwuNmGFUJcHvJX3nEmz
 vAWw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=WxM8LE3y0Qmsaz2XXFICtngv86o5czwUuLTGVJLPtWQ=;
 b=qgOKxaBezRKupiPsTYyDeYR5JDHPT1FdBMGvlLpQtrWnmFdbyftz7p0yh9tz+L34Zc
 K/2PpzafR+j7ZIw3xXa7v3LEvoMWeZ2/1p+xvX25KSQ7/4thMUzFBRj2gb1wrrc2Wplm
 Jdsyw6/ZRBD0GFl6cCWdEf3IUUNjBFAihfd+Sf33sOdjzdsHAXEU87s80zM83/6eF5g2
 qI8wP9Izn4BBaK66MjWiXBu3LZbdxfdCCeUsRP/2yiIc+YVGh0cwl66zdovRe2Fs8X3z
 TscItsYgeV5cOMHjoGdPu6hiI54oJx3wUYsQs7oaEpU3Zd5+H9X1/+qgS2ij8ZKiMOU8
 FwPg==
X-Gm-Message-State: AOAM532sJIZuQPin1ME1o/1F7Rvb/1NLaoe+HBpOgbllhrJWj9jWhBk0
 jbsdD9vckVyQZ2YnCMxdeaI=
X-Google-Smtp-Source: ABdhPJyPKRhTIxQeiNAN6saPIDuVMKy20w3H0TKnafqUyPrsSx3sJKsKPoiKiBmMTkVfe0jcMZjDpQ==
X-Received: by 2002:a05:6214:1265:: with SMTP id
 r5mr13273683qvv.171.1590370483870; 
 Sun, 24 May 2020 18:34:43 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 14sm4020863qkd.46.2020.05.24.18.34.43
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 24 May 2020 18:34:43 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <CADwFkmkyeZHrHOJSkCwzh1Lch7te5et0V_+r3mG2dUuXh+EeZw@HIDDEN>
 <m23681zh07.fsf@HIDDEN>
Date: Sun, 24 May 2020 21:34:42 -0400
In-Reply-To: <m23681zh07.fsf@HIDDEN> (Robert Pluim's message of "Fri, 15
 May 2020 11:26:00 +0200")
Message-ID: <87v9kkkdal.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org, Jonas Bernoulli <jonas@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> It=CA=BCs a real shame that log-edit-generate-changelog-from-diff doesn't
> work correctly when committing via Magit, it really helps you get all
> the annoying details of ChangeLog entries right.

You can try out https://github.com/magit/magit/pull/3928 which makes
this functionality accessible from magit.  Also linked there is
https://github.com/dickmao/magit-patch-changelog which takes a slightly
different approach.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 16 May 2020 06:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 16 02:45:28 2020
Received: from localhost ([127.0.0.1]:39619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZqZc-0000hC-8D
	for submit <at> debbugs.gnu.org; Sat, 16 May 2020 02:45:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jZqZZ-0000h0-P5
 for 41276 <at> debbugs.gnu.org; Sat, 16 May 2020 02:45:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60107)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jZqZS-0003O4-MZ; Sat, 16 May 2020 02:45:18 -0400
Received: from [176.228.60.248] (port=1214 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jZqZR-0002Pf-L9; Sat, 16 May 2020 02:45:18 -0400
Date: Sat, 16 May 2020 09:45:07 +0300
Message-Id: <831rnkv0ng.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87h7wg7rcd.fsf@HIDDEN> (message from Jonas Bernoulli on Sat, 
 16 May 2020 00:42:26 +0200)
Subject: Re: bug#41276: Acknowledgement ([PATCH 0/9] Various small
 improvements to EasyPG)
References: <20200514191325.22061-1-jonas@HIDDEN>
 <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
 <87sgg26zpv.fsf@HIDDEN> <83o8qp3bgq.fsf@HIDDEN>
 <87pnb5781d.fsf@HIDDEN> <83wo5d1klq.fsf@HIDDEN>
 <87lflt6st5.fsf@HIDDEN> <831rnlgkng.fsf@HIDDEN>
 <87h7wg7rcd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: 41276 <at> debbugs.gnu.org
> Date: Sat, 16 May 2020 00:42:26 +0200
> 
> We are in agreement.  We numbered the rules differently, which resulted
> in some confusion.

Yes, that's what I thought.

> How do you feel about my suggestion to clarify one of the rules like so?
> 
> -- If only a single file is changed, the summary line can be the normal
> -  file first line (starting with the asterisk).  Then there is no
> -  individual files section.
> +- If only a single file is changed, then the first (and in this case
> +  only) file entry can at the same time serve as the summary line,
> +  provided that this entry fits on a single line.  In this case the
> +  summary should begin with an asterisk and end with a period, like
> +  all file entries always do.

It's fine with me, and it's what I do in my commits.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 May 2020 22:44:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 18:44:53 2020
Received: from localhost ([127.0.0.1]:39087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZj4X-0003XD-J4
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 18:44:53 -0400
Received: from mail.hostpark.net ([212.243.197.30]:44226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZj4V-0003X4-Uw
 for 41276 <at> debbugs.gnu.org; Fri, 15 May 2020 18:44:52 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 96F99B7AAF;
 Sat, 16 May 2020 00:44:50 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id S59bDjWq8d9g; Sat, 16 May 2020 00:42:26 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 43E84B7AB1;
 Sat, 16 May 2020 00:42:26 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41276: Acknowledgement ([PATCH 0/9] Various small
 improvements to EasyPG)
In-Reply-To: <831rnlgkng.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN>
 <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
 <87sgg26zpv.fsf@HIDDEN> <83o8qp3bgq.fsf@HIDDEN>
 <87pnb5781d.fsf@HIDDEN> <83wo5d1klq.fsf@HIDDEN>
 <87lflt6st5.fsf@HIDDEN> <831rnlgkng.fsf@HIDDEN>
Date: Sat, 16 May 2020 00:42:26 +0200
Message-ID: <87h7wg7rcd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:
> You need to keep in mind how these are used: they are copied into the
> ChangeLog file we generate when we are about to release a new Emacs
> version.  So if the header line is followed by a series of
> ChangeLog-formatted entries, it should not end in a period, but when
> the header line is _itself_ a ChangeLog-formatted entry, then it
> should follow the ChangeLog rules, which is that every entry shall end
> in a period.  IOW, the second rule in this case overrides the first.

We are in agreement.  We numbered the rules differently, which resulted
in some confusion.

How do you feel about my suggestion to clarify one of the rules like so?

-- If only a single file is changed, the summary line can be the normal
-  file first line (starting with the asterisk).  Then there is no
-  individual files section.
+- If only a single file is changed, then the first (and in this case
+  only) file entry can at the same time serve as the summary line,
+  provided that this entry fits on a single line.  In this case the
+  summary should begin with an asterisk and end with a period, like
+  all file entries always do.

The "provided that the entry fits on a single line" addresses the next
concern you raised.

> And while we are at that: please don't follow examples like this:
>
>    * foobarbz/barfooquux/baz.xx (some_long_function_name):
>
>    Fix this and that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 May 2020 17:42:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 13:42:33 2020
Received: from localhost ([127.0.0.1]:38671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZeLx-00026J-9J
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 13:42:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jZeLu-000261-Ki
 for 41276 <at> debbugs.gnu.org; Fri, 15 May 2020 13:42:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46631)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jZeLo-0004gg-Ts; Fri, 15 May 2020 13:42:24 -0400
Received: from [176.228.60.248] (port=1404 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jZeLo-0006dg-Ba; Fri, 15 May 2020 13:42:24 -0400
Date: Fri, 15 May 2020 20:42:11 +0300
Message-Id: <831rnlgkng.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87lflt6st5.fsf@HIDDEN> (message from Jonas Bernoulli on Fri, 
 15 May 2020 18:56:06 +0200)
Subject: Re: bug#41276: Acknowledgement ([PATCH 0/9] Various small
 improvements to EasyPG)
References: <20200514191325.22061-1-jonas@HIDDEN>
 <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
 <87sgg26zpv.fsf@HIDDEN> <83o8qp3bgq.fsf@HIDDEN>
 <87pnb5781d.fsf@HIDDEN> <83wo5d1klq.fsf@HIDDEN>
 <87lflt6st5.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: 41276 <at> debbugs.gnu.org
> Date: Fri, 15 May 2020 18:56:06 +0200
> 
> > Right, that's the header line.  I meant the part after it, which
> > mentions the file(s) and the function(s) where the changes are done.
> 
> I can only see one commit that lacks a commit message body in addition
> to the commit message summary line.
> 
> [I am a little confused because while I agree that I failed to follow
> the conventions and need to fix that, you do talk about multiple commits
> that have this particular defect while I can see only a single commit,
> which might potentially have that defect.]
> 
> The subject of the respective mail is:
> 
>   [PATCH 3/9] * lisp/epg-config.el (epg-config--make-gpg-configuration): Fix indentation

Ah, okay.  Please forgive me, I almost never read the Subject line,
and expect all the important stuff to be in the body.  So I will blame
Git in this case ;-)

> However I feel it would make more sense for the first rule to override
> the second.  From recent commits it looks like you and some others seem
> to agree with me:
> 
> ,----
> | ; * src/xdisp.c: Improve the introductory commentary.
> `----
> 
> but Stefan does not:
> 
> ,----
> | * lisp/emacs-lisp/pcase.el (pcase--fgrep): Look inside vectors
> `----

You need to keep in mind how these are used: they are copied into the
ChangeLog file we generate when we are about to release a new Emacs
version.  So if the header line is followed by a series of
ChangeLog-formatted entries, it should not end in a period, but when
the header line is _itself_ a ChangeLog-formatted entry, then it
should follow the ChangeLog rules, which is that every entry shall end
in a period.  IOW, the second rule in this case overrides the first.

And while we are at that: please don't follow examples like this:

   * foobarbz/barfooquux/baz.xx (some_long_function_name):

   Fix this and that.

That is, if the log entry takes more than one line, do NOT try to
avoid adding the header line by "reusing" the first line of the entry
as a header line, and leaving an empty line between the first line of
the log message and the rest of them.  The reason is still the same:
this will look awkward, to say the least, in the generated ChangeLog.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 May 2020 16:56:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 12:56:10 2020
Received: from localhost ([127.0.0.1]:38645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZdd4-00078Z-ES
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 12:56:10 -0400
Received: from mail.hostpark.net ([212.243.197.30]:53882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZdd3-00078R-1b
 for 41276 <at> debbugs.gnu.org; Fri, 15 May 2020 12:56:09 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 7A05616676;
 Fri, 15 May 2020 18:56:07 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id nUpDIEcUlN1z; Fri, 15 May 2020 18:56:07 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 0AE0316634;
 Fri, 15 May 2020 18:56:07 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41276: Acknowledgement ([PATCH 0/9] Various small
 improvements to EasyPG)
In-Reply-To: <83wo5d1klq.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN>
 <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
 <87sgg26zpv.fsf@HIDDEN> <83o8qp3bgq.fsf@HIDDEN>
 <87pnb5781d.fsf@HIDDEN> <83wo5d1klq.fsf@HIDDEN>
Date: Fri, 15 May 2020 18:56:06 +0200
Message-ID: <87lflt6st5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Jonas Bernoulli <jonas@HIDDEN>
>> Cc: 41276 <at> debbugs.gnu.org
>> Date: Fri, 15 May 2020 13:27:10 +0200
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> > A few of the patches in the series don't have commit log messages,
>> 
>> All of the patches do have commit messages.  The mail subject field is
>> used as the commit message subject line, except that the "[PATCH n/m] "
>> has to be removed.
>
> Right, that's the header line.  I meant the part after it, which
> mentions the file(s) and the function(s) where the changes are done.

I can only see one commit that lacks a commit message body in addition
to the commit message summary line.

[I am a little confused because while I agree that I failed to follow
the conventions and need to fix that, you do talk about multiple commits
that have this particular defect while I can see only a single commit,
which might potentially have that defect.]

The subject of the respective mail is:

  [PATCH 3/9] * lisp/epg-config.el (epg-config--make-gpg-configuration): Fix indentation

So the complete commit message becomes:

  * lisp/epg-config.el (epg-config--make-gpg-configuration): Fix indentation

Which I though was allowed or even encouraged.  From CONTRIBUTE:

> - If only a single file is changed, the summary line can be the normal
>   file first line (starting with the asterisk).  Then there is no
>   individual files section.

The wording confuses me.  I have decided to interpret it like so (and if
that interpretation is correct, then I suggest that CONTRIBUTE is
updated to use this wording).

> - If only a single file is changed, then the first (and in this case
>   only) individual file entry can at the same time serve as the summary
>   line, provided that the entry fits on a single line.  In this case
>   the summary should begin with an asterisk but not end with a period.
                                              -------
                                      or on the contrary "and"

I added that last sentence because there is some ambiguity that needs to
be resolved, namely:

> - Start with a single unindented summary line explaining the change;
>   do not end this line with a period. [...]

> - Some commenting rules in the GNU coding standards also apply
>   to ChangeLog entries: they must be in English, and be complete
>   sentences starting with a capital and ending with a period (except
>   the summary line should not end in a period).

However I feel it would make more sense for the first rule to override
the second.  From recent commits it looks like you and some others seem
to agree with me:

,----
| ; * src/xdisp.c: Improve the introductory commentary.
`----

but Stefan does not:

,----
| * lisp/emacs-lisp/pcase.el (pcase--fgrep): Look inside vectors
`----




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 May 2020 11:52:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 07:52:39 2020
Received: from localhost ([127.0.0.1]:36112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZYtL-0001pp-CJ
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 07:52:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jZYtJ-0001pd-Oo
 for 41276 <at> debbugs.gnu.org; Fri, 15 May 2020 07:52:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37662)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jZYtD-00038g-7F; Fri, 15 May 2020 07:52:31 -0400
Received: from [176.228.60.248] (port=3619 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jZYtC-0000oB-Li; Fri, 15 May 2020 07:52:31 -0400
Date: Fri, 15 May 2020 14:52:17 +0300
Message-Id: <83wo5d1klq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87pnb5781d.fsf@HIDDEN> (message from Jonas Bernoulli on Fri, 
 15 May 2020 13:27:10 +0200)
Subject: Re: bug#41276: Acknowledgement ([PATCH 0/9] Various small
 improvements to EasyPG)
References: <20200514191325.22061-1-jonas@HIDDEN>
 <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
 <87sgg26zpv.fsf@HIDDEN> <83o8qp3bgq.fsf@HIDDEN>
 <87pnb5781d.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: 41276 <at> debbugs.gnu.org
> Date: Fri, 15 May 2020 13:27:10 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> > A few of the patches in the series don't have commit log messages,
> 
> All of the patches do have commit messages.  The mail subject field is
> used as the commit message subject line, except that the "[PATCH n/m] "
> has to be removed.

Right, that's the header line.  I meant the part after it, which
mentions the file(s) and the function(s) where the changes are done.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 May 2020 11:27:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 07:27:14 2020
Received: from localhost ([127.0.0.1]:36056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZYUk-0007YW-Cs
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 07:27:14 -0400
Received: from mail.hostpark.net ([212.243.197.30]:57772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZYUi-0007YN-6L
 for 41276 <at> debbugs.gnu.org; Fri, 15 May 2020 07:27:13 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id B6059166AF;
 Fri, 15 May 2020 13:27:10 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id lhJZEPay2nTw; Fri, 15 May 2020 13:27:10 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 68B15166AB;
 Fri, 15 May 2020 13:27:10 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41276: Acknowledgement ([PATCH 0/9] Various small
 improvements to EasyPG)
In-Reply-To: <83o8qp3bgq.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN>
 <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
 <87sgg26zpv.fsf@HIDDEN> <83o8qp3bgq.fsf@HIDDEN>
Date: Fri, 15 May 2020 13:27:10 +0200
Message-ID: <87pnb5781d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:
> A few of the patches in the series don't have commit log messages,

All of the patches do have commit messages.  The mail subject field is
used as the commit message subject line, except that the "[PATCH n/m] "
has to be removed.

> or
> the commit log messages are not in our usual format (see CONTRIBUTE,
> and also look at the other commits in the repository for examples).

I tried to follow the conventions and I did look at examples, but not
everything is crystal clear and I made some mistakes and did take some
liberties.  I am reworking the commit messages and will later publish
a new iteration.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 May 2020 09:33:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 05:33:05 2020
Received: from localhost ([127.0.0.1]:35857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZWiH-0004Yc-D1
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 05:33:05 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:38331)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1jZWiF-0004Y7-DX
 for 41276 <at> debbugs.gnu.org; Fri, 15 May 2020 05:33:03 -0400
Received: by mail-wr1-f41.google.com with SMTP id e1so2723975wrt.5
 for <41276 <at> debbugs.gnu.org>; Fri, 15 May 2020 02:33:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=ADhKaR8x+fzlrGWddTe0l1fb2Vf7aqIqbWq66Y0SwG8=;
 b=Ser/AHtD6sbDjovQV8db/lUM3xx4AqdD8y1sEfOaNtzohf3Jbq6Cte772QvP5EhqIi
 yJTRpfK5exquXKFtXB7iRTN/Lc/jDNRki8tIWkSdOMCysZVh1P1MHBa9nZR6TcuXqQOE
 GkhXx7rIxGd/n476l/Bh9iGeyfyF0UcJbW2Cg1WNs09+RMlUn9hhV1VqAiRQqVQwhS96
 GpJuMLAF/ZHZuopwTbqtq9gf17aJPq9Jyp/3XFaNRjrd+zJpbEC9XFl9kdwiW5znAINJ
 5Sp5ZrvPXkZQWrYe+DfXWVvxTSepGAmwqwEKABkMGwclHJBr06Lr18+d/+jiM8F3Ve6A
 BB3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=ADhKaR8x+fzlrGWddTe0l1fb2Vf7aqIqbWq66Y0SwG8=;
 b=qoNTKMSX5aEAMu3VBvP0VCwjpB4Pg0TA9XCDwVxqDX1Z9FPXdirYcRYJBQFho8+hc3
 6OFqgg4oSmZzDrNZx9FHMweieJKV4K1vNqaTKj/2cemb1m+L0ohjuWCBvSTFwL+CH1YM
 mXl8AKmLHydH5MWqf6SDO8MVdEkGJZ55JZYqINAWJqN6sXzUGXoJr3dn7fQS53bYk0HN
 hlMfA+hR9OpQFWO0AcbuozxlcaWv8//UGeaE47v9Kgro0qdWTZpxwKBL1KJX9ariN6v+
 SH+xXVoyklqJXmAdM8+HYqtwFj8OcHiqo1zJn6XhdlhaNRCR+69GlFlmtGR/lijpYcJC
 TW8Q==
X-Gm-Message-State: AOAM530NL7GQm7SmIx1MMrVQqi0AyYscxz8HGmEkUpLPA+drBe3fsYoA
 pXh6V/6YsZuG6rHqLMiM5jJUqveuvM1GcA==
X-Google-Smtp-Source: ABdhPJzMeeGfFZoZ3rIO2742NvsJb1uvyEy3cCbCTNFZuN5I/Z8yTJ3w62961uLEvqXPfQ/yjkzaTQ==
X-Received: by 2002:adf:fb08:: with SMTP id c8mr3281506wrr.421.1589535177177; 
 Fri, 15 May 2020 02:32:57 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:2596:89e6:a99a:9ba2])
 by smtp.gmail.com with ESMTPSA id w82sm2752351wmg.28.2020.05.15.02.32.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 15 May 2020 02:32:56 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#41276: [PATCH 2/9] Add all epa faces to epa-faces Custom group
References: <20200514201618.26313-1-jonas@HIDDEN>
 <20200514201618.26313-2-jonas@HIDDEN>
Date: Fri, 15 May 2020 11:32:55 +0200
In-Reply-To: <20200514201618.26313-2-jonas@HIDDEN> (Jonas Bernoulli's
 message of "Thu, 14 May 2020 22:16:11 +0200")
Message-ID: <m2y2pty248.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 14 May 2020 22:16:11 +0200, Jonas Bernoulli <jonas@HIDDEN=
> said:

    Jonas> 'epa-validity-face-alist' isn't actually a face but belongs in t=
hat
    Jonas> group anyway.

    Jonas> * lisp/epa.el (epa-field-name, epa-field-body,
    Jonas> epa-validity-face-alist): Add to epa-faces Custom group
    Jonas> ---
    Jonas>  lisp/epa.el | 6 +++---
    Jonas>  1 file changed, 3 insertions(+), 3 deletions(-)

Hmm, is this cause for setting the :version string on those
definitions (and on the relevant group(s))?

(info "(elisp)Customization") says:

=E2=80=98:version VERSION=E2=80=99
     This keyword specifies that the item was first introduced in Emacs
     version VERSION, or that its default value was changed in that
     version.  The value VERSION must be a string.

They=CA=BCre not new, but they=CA=BCre new in the group you=CA=BCre moving =
them to.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 May 2020 09:26:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 05:26:10 2020
Received: from localhost ([127.0.0.1]:35852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZWba-0004Mw-L6
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 05:26:10 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:47064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1jZWbX-0004MY-Mf
 for 41276 <at> debbugs.gnu.org; Fri, 15 May 2020 05:26:09 -0400
Received: by mail-wr1-f66.google.com with SMTP id w7so2634345wre.13
 for <41276 <at> debbugs.gnu.org>; Fri, 15 May 2020 02:26:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=b+p+27hfTGZx4XA57r6wXORNwUGxWExAHsldsv06zeg=;
 b=WEihnyFTQ7VWBm4FAQ81Rg/Do8lEUAM/ekhwVCHNhwihsJZQoV7mJXH0DMxH3XTFsh
 1DtADGmqZj6Rj9FVrg7MAB3TQUeInEVGb2MLTlZ4XXJyEHZZ4ElU/dqeSoSTrUQZgvA8
 XfjNaVVojXvC7me6BdzzWFCN57rNxwZkimLzfGSZRafyUYkjzFVAKqgQZOTU/aHlTdu7
 H2K0+ryb/PlxLtB/iRQDZvKad4T4zyuKlG87ozEyFuBI6EsxbqFDS9FHmxE0gwFo/LQU
 Mk8B0ZdE9ZUJcvWkqcUwW0e3jdvCstI4GB93H4utkwI8eLECdG/K7XRfoy/avWB7mVyJ
 u9eQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=b+p+27hfTGZx4XA57r6wXORNwUGxWExAHsldsv06zeg=;
 b=mLkv0272kHbPZ6TU6ZYRMRkSVONlKjFyY4wBrhMZiQHBGQhdpCmV3cQiUqRbrr0AI8
 HMYaxTYsx3pd6XNQYWuS0rC+/qqco8qMkMSEvTTZEzt+1OisMhJmBlZEDQtYg7EyLFBw
 9ZeVHpko7/DPsFhDFdvWofoM+U2YFa6ra2t4yH0rLBJ2AjKXLZF5FaAVO3WSB5FGztHi
 C5QY1C25lK9ahaxRXDLz9WtRrmBxvpmpHkd2AxhC1dSERfT/LOFAToypvsqzQHjc3uME
 kDgn9F8ed8/3oF3DWhczt2MBAy8JhgIqeHpZYSXc34fDIdo3hhwamLJoWKbkWGgWu0Gk
 JupA==
X-Gm-Message-State: AOAM530WG0g7oeBGdNKtT3tDZKKZQUxJXZLfYEk07ugnKKUcoJoCXgSH
 bWLaP8tK7jysz+yvntaM4SFz0ziVtMyW1g==
X-Google-Smtp-Source: ABdhPJw0C71tRsgtOLh0YbNpsZSttdIAX+2mogRRPVY71Kic6a7ZoX0BAjXDg9CCqWWkkjGdj4U5Kw==
X-Received: by 2002:a5d:40c2:: with SMTP id b2mr3113863wrq.13.1589534761347;
 Fri, 15 May 2020 02:26:01 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:2596:89e6:a99a:9ba2])
 by smtp.gmail.com with ESMTPSA id w18sm2723931wro.33.2020.05.15.02.26.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 15 May 2020 02:26:00 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <CADwFkmkyeZHrHOJSkCwzh1Lch7te5et0V_+r3mG2dUuXh+EeZw@HIDDEN>
Date: Fri, 15 May 2020 11:26:00 +0200
In-Reply-To: <CADwFkmkyeZHrHOJSkCwzh1Lch7te5et0V_+r3mG2dUuXh+EeZw@HIDDEN>
 (Stefan Kangas's message of "Thu, 14 May 2020 16:04:36 -0700")
Message-ID: <m23681zh07.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org, Jonas Bernoulli <jonas@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 14 May 2020 16:04:36 -0700, Stefan Kangas <stefan@HIDDEN>=
 said:

    Stefan> Jonas Bernoulli <jonas@HIDDEN> writes:
    >> This patches make various cosmetic and hopefully uncontroversial
    >> changes to epa and epg libraries.
    >>=20
    >> I am now to contributing to Emacs itself and not yet comfortable
    >> with the commit message conventions among other things.  Tell me
    >> what I am doing wrong please.

    Stefan> You might want to use `add-change-log-entry-other-window' or
    Stefan> `log-edit-generate-changelog-from-diff' to generate the ChangeL=
og
    Stefan> entries.  That way it's faster to write them, and easier to get=
 right.

It=CA=BCs a real shame that log-edit-generate-changelog-from-diff doesn't
work correctly when committing via Magit, it really helps you get all
the annoying details of ChangeLog entries right.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 May 2020 07:28:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 03:28:16 2020
Received: from localhost ([127.0.0.1]:35760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZUlT-0007qh-NC
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 03:28:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jZUlT-0007qW-1K
 for 41276 <at> debbugs.gnu.org; Fri, 15 May 2020 03:28:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52597)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jZUlN-0001UA-Ky; Fri, 15 May 2020 03:28:09 -0400
Received: from [176.228.60.248] (port=3282 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jZUlL-0006o7-Rs; Fri, 15 May 2020 03:28:08 -0400
Date: Fri, 15 May 2020 10:27:55 +0300
Message-Id: <83mu693bes.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <20200514201618.26313-8-jonas@HIDDEN> (message from Jonas
 Bernoulli on Thu, 14 May 2020 22:16:17 +0200)
Subject: Re: bug#41276: [PATCH 8/9] epa-key-list-mode-map: Use widget-keymap as
 parent keymap
References: <20200514201618.26313-1-jonas@HIDDEN>
 <20200514201618.26313-8-jonas@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Date: Thu, 14 May 2020 22:16:17 +0200
> 
> * lisp/epa.el (epa-key-list-mode-map): Set the parent of this keymap
>   while defining this keymap.
> 
> * lisp/epa.el (epa--list-keys): Do not set the parent of the local
>   keymap here.

I'd appreciate some rationale for the changes in this case.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 15 May 2020 07:27:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 03:27:18 2020
Received: from localhost ([127.0.0.1]:35756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZUkY-0007p8-8g
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 03:27:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jZUkL-0007oQ-0z
 for 41276 <at> debbugs.gnu.org; Fri, 15 May 2020 03:27:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52590)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jZUkF-0001NX-3Q; Fri, 15 May 2020 03:26:59 -0400
Received: from [176.228.60.248] (port=3210 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jZUkE-0006er-70; Fri, 15 May 2020 03:26:58 -0400
Date: Fri, 15 May 2020 10:26:45 +0300
Message-Id: <83o8qp3bgq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87sgg26zpv.fsf@HIDDEN> (message from Jonas Bernoulli on Thu, 
 14 May 2020 22:14:36 +0200)
Subject: Re: bug#41276: Acknowledgement ([PATCH 0/9] Various small
 improvements to EasyPG)
References: <20200514191325.22061-1-jonas@HIDDEN>
 <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
 <87sgg26zpv.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Date: Thu, 14 May 2020 22:14:36 +0200
> 
> Please excuse me for ending up opening an issue per commit and just
> delete issues 41268-41275 and 41277 (but not 41276, this issue).
> 
> I sent the patches using:
>   git send-email 000* --to=bug-gnu-emacs@HIDDEN
> 
> I should have used
>   git send-email 0000-cover-letter.patch --to=bug-gnu-emacs@HIDDEN
> wait for the response
> > If you wish to submit further information on this problem, please
> > send it to 41276 <at> debbugs.gnu.org.
> and then
>   0000-cover-letter.patch
>   git send-email 000* --to=41276 <at> debbugs.gnu.org
> 
> which is what I am gonna do now.  Fingers crossed.  The patches may
> arrive in the wrong order again, I don't know how to prevent that.

A few of the patches in the series don't have commit log messages, or
the commit log messages are not in our usual format (see CONTRIBUTE,
and also look at the other commits in the repository for examples).

Also, since you are submitting the patches after you already know the
bug number, please mention the bug number in the commit log messages,
as doing that saves whoever actually installs the changeset from doing
the equivalent of "git commit --amend" to add the reference to the bug
number before pushing.

Thanks.  Let's wait with pushing for a few days so that others could
comment.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 23:04:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 19:04:48 2020
Received: from localhost ([127.0.0.1]:35170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZMuF-0002CV-QS
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 19:04:47 -0400
Received: from mail-yb1-f177.google.com ([209.85.219.177]:35650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1jZMuB-0002C7-1K
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 19:04:46 -0400
Received: by mail-yb1-f177.google.com with SMTP id o134so149357ybg.2
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 16:04:43 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=zWu436aP7AeJa8HEXLCG3VBCKxJASZw5Gpr8Qqbl0Do=;
 b=rqgcN8mQi0h4JRKqdvn9WuRKrbQhwu8emdKyDHdHjW6gobk29IAD9bywKFgptY669v
 Z6alfb5yL/Mwtx438z6MGpenDmosWnL+MhRpqC9Dr9x2qtqYvxSwRWvB2egO5TdffDrg
 sCWIvReU6dqEKRNaiyhtJiEVo5m/QB8OTZj5OFWijmqzOmlQ02NP6XQZGWFRg01X/5tD
 iMSehNuqlXOyJnAlzakwCOCkcgCZtdU7irlxXeqPQZHHcs52woCkh9ISx9em4Y/aw8qg
 V7njhUqsp92cehW1TeUFLHn6etBA6/688w/dp6jE8VHKSYFGrM1QSRbMNg3XX1u4ZgIC
 pj3g==
X-Gm-Message-State: AOAM530EgUk6L8PJHlut65WuzGkXa5eCkWzANbLWgBZVWat1FZAG6w75
 0oofZBV6ibBvwhdzlpswH0j42+Fh+CPTk+lhN3o=
X-Google-Smtp-Source: ABdhPJy+mUTrlOhFFcslJ4GzFSAETtbkHRghlyO0bQ0d69YBzDY25hxNaTGnXwU4hcXkyI+aLPasqmVepLQ402hcs9k=
X-Received: by 2002:a25:af86:: with SMTP id g6mr1037913ybh.85.1589497477423;
 Thu, 14 May 2020 16:04:37 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 14 May 2020 16:04:36 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <20200514191325.22061-1-jonas@HIDDEN> (Jonas Bernoulli's
 message of "Thu, 14 May 2020 21:13:16 +0200")
References: <20200514191325.22061-1-jonas@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Thu, 14 May 2020 16:04:36 -0700
Message-ID: <CADwFkmkyeZHrHOJSkCwzh1Lch7te5et0V_+r3mG2dUuXh+EeZw@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
To: Jonas Bernoulli <jonas@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Jonas Bernoulli <jonas@HIDDEN> writes:

> This patches make various cosmetic and hopefully uncontroversial
> changes to epa and epg libraries.
>
> I am now to contributing to Emacs itself and not yet comfortable
> with the commit message conventions among other things.  Tell me
> what I am doing wrong please.

You might want to use `add-change-log-entry-other-window' or
`log-edit-generate-changelog-from-diff' to generate the ChangeLog
entries.  That way it's faster to write them, and easier to get right.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 22:33:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 18:33:55 2020
Received: from localhost ([127.0.0.1]:35150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZMQN-00010F-4A
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 18:33:55 -0400
Received: from mail-yb1-f194.google.com ([209.85.219.194]:41151)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1jZMQK-0000zx-Uk
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 18:33:53 -0400
Received: by mail-yb1-f194.google.com with SMTP id x18so99189ybq.8
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 15:33:52 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=2V6eDc5dom5NRqLtPOT76fi22Aqveg8Qo7Y+XarfFuo=;
 b=Ve3Hor9pvBvo+V4UAZbdkCKAOuPr/28lBno3JWowG5u2Grh5CINMZyLDyEJS7dJ+k9
 Lpdf/RCXTHTwZJp3CBwIx4jxSZnU6DvMrdpA1515NY6negiaYzgy8CGyAcGoFqYYvlGr
 09tGeCPUjssnL6eLEKOClYQJUOelDCb5Vnq62b+Dc+9Q7K/oWNEeKXAduyDksQU+AAMw
 IyFFmPk+pBsNix7AEUj0VNU2N4v7QCKfe6uU0mQI6ZGBk6MEx+6byR80AHWCdPRV5R+C
 83O6R1Sz5/Rb8ycESIx7dS8x6YvUT5o/E0p+RNTZ+NHjys+vUhA4vMs+eos2hoOP6pHd
 o8vg==
X-Gm-Message-State: AOAM532u9kbLu8+lq1h9Qx5t2Y/k79XCFaPlp1V2vFEUvOKdpAMCZmHU
 CUL6A8tUdMRkJRr7JZaMh8sng6Q1kST0RYMZ7agDiQ==
X-Google-Smtp-Source: ABdhPJwNnQce3fAjvAPtno/T9ZHRN8GmyjFyE7aWor4R7AJPaHqgSpcA5rdNdAPZUmFYyl6XyogwCh3EV2PsnITJIlQ=
X-Received: by 2002:a25:af86:: with SMTP id g6mr860065ybh.85.1589495625880;
 Thu, 14 May 2020 15:33:45 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 14 May 2020 15:33:45 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87sgg26zpv.fsf@HIDDEN> (Jonas Bernoulli's message of "Thu,
 14 May 2020 22:14:36 +0200")
References: <20200514191325.22061-1-jonas@HIDDEN>
 <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
 <87sgg26zpv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Thu, 14 May 2020 15:33:45 -0700
Message-ID: <CADwFkmnOv1s2RHRdVtgDJc3=QPcK0siuzVmuPrQMCTHm3qzn2A@HIDDEN>
Subject: Re: bug#41276: Acknowledgement ([PATCH 0/9] Various small
 improvements to EasyPG)
To: Jonas Bernoulli <jonas@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 41276
Cc: 41276 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Jonas Bernoulli <jonas@HIDDEN> writes:

> Please excuse me for ending up opening an issue per commit and just
> delete issues 41268-41275 and 41277 (but not 41276, this issue).

I merged the bugs for now, since AFAIK there's no way to delete bugs in
debbugs.  If anyone has a better solution, please go ahead.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41273 41274 41275 41276 41277. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41273 41274 41275 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41273 41274 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41273 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:16:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:16:29 2020
Received: from localhost ([127.0.0.1]:35011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKHN-0003PD-M9
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:29 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKHF-0003NV-8c
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:22 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 49EDF166CA
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:20 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id bsVrGLWGxyQR for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:16:19 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 7A46D166C0
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH 9/9] * lisp/epa.el (epa-show-key): New command
Date: Thu, 14 May 2020 22:16:18 +0200
Message-Id: <20200514201618.26313-9-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200514201618.26313-1-jonas@HIDDEN>
References: <20200514201618.26313-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Users can move in `epa-key-list-mode' buffers using either
`next-line'/`previous-line' or `widget-forward'/`widget-backward'.
When using the first set of commands, then the cursor stays in the
column and that normally is the first column.  The key widgets do
not begin until the third character of their respective lines.

All `epa' commands work regardless of whether the cursor is on the
widget or before them.  The `epa-show-key' command did not exist until
now because the `widget-button-press' already performs its task.  But
because the widgets don't span complete lines we actually need this
command too.
---
 lisp/epa.el | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/lisp/epa.el b/lisp/epa.el
index 1e0a0132d2..fe5dd4321a 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -25,7 +25,9 @@
 (require 'epg)
 (require 'font-lock)
 (require 'widget)
-(eval-when-compile (require 'wid-edit))
+(eval-when-compile
+  (require 'subr-x)
+  (require 'wid-edit))
 (require 'derived)
 
 ;;; Options
@@ -192,6 +194,7 @@ epa-key-list-mode-map
   (let ((keymap (make-sparse-keymap))
 	(menu-map (make-sparse-keymap)))
     (set-keymap-parent keymap widget-keymap)
+    (define-key keymap "\C-m" 'epa-show-key)
     (define-key keymap "m" 'epa-mark-key)
     (define-key keymap "u" 'epa-unmark-key)
     (define-key keymap "d" 'epa-decrypt-file)
@@ -518,6 +521,14 @@ epa-select-keys
 
 ;;;; Key Details
 
+(defun epa-show-key ()
+  "Show a key on the current line."
+  (interactive)
+  (if-let ((key (get-text-property (point) 'epa-key)))
+      (save-selected-window
+        (epa--show-key key))
+    (error "No key on this line")))
+
 (defun epa--show-key (key)
   (let* ((primary-sub-key (car (epg-key-sub-key-list key)))
 	 (entry (assoc (epg-sub-key-id primary-sub-key)
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:16:29 2020
Received: from localhost ([127.0.0.1]:35009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKHN-0003P6-9J
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:29 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKHF-0003NS-5w
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:21 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 475D5166B6
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:20 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id cf0ioTdLAcfT for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:16:19 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 67067166BD
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH 7/9] Cosmetic changes to epa libraries
Date: Thu, 14 May 2020 22:16:16 +0200
Message-Id: <20200514201618.26313-7-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200514201618.26313-1-jonas@HIDDEN>
References: <20200514201618.26313-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* lisp/epa-dired.el (epa-dired-do-decrypt, epa-dired-do-verify
epa-dired-do-sign, epa-dired-do-encrypt): Use dolist instead of while.

* lisp/epa-file.el (epa-file-passphrase-callback-function): Set just
  one variable per setq call.
---
 lisp/epa-dired.el | 44 ++++++++++++++++++--------------------------
 lisp/epa-file.el  |  4 ++--
 2 files changed, 20 insertions(+), 28 deletions(-)

diff --git a/lisp/epa-dired.el b/lisp/epa-dired.el
index 1bcfb758ed..4ff1ba3394 100644
--- a/lisp/epa-dired.el
+++ b/lisp/epa-dired.el
@@ -30,48 +30,40 @@
 (defun epa-dired-do-decrypt ()
   "Decrypt marked files."
   (interactive)
-  (let ((file-list (dired-get-marked-files)))
-    (while file-list
-      (epa-decrypt-file (expand-file-name (car file-list)))
-      (setq file-list (cdr file-list)))
-    (revert-buffer)))
+  (dolist (file (dired-get-marked-files))
+    (epa-decrypt-file (expand-file-name file)))
+  (revert-buffer))
 
 ;;;###autoload
 (defun epa-dired-do-verify ()
   "Verify marked files."
   (interactive)
-  (let ((file-list (dired-get-marked-files)))
-    (while file-list
-      (epa-verify-file (expand-file-name (car file-list)))
-      (setq file-list (cdr file-list)))))
+  (dolist (file (dired-get-marked-files))
+    (epa-verify-file (expand-file-name file))))
 
 ;;;###autoload
 (defun epa-dired-do-sign ()
   "Sign marked files."
   (interactive)
-  (let ((file-list (dired-get-marked-files)))
-    (while file-list
-      (epa-sign-file
-       (expand-file-name (car file-list))
-       (epa-select-keys (epg-make-context) "Select keys for signing.
+  (dolist (file (dired-get-marked-files))
+    (epa-sign-file
+     (expand-file-name file)
+     (epa-select-keys (epg-make-context) "Select keys for signing.
 If no one is selected, default secret key is used.  "
-			nil t)
-       (y-or-n-p "Make a detached signature? "))
-      (setq file-list (cdr file-list)))
-    (revert-buffer)))
+		      nil t)
+     (y-or-n-p "Make a detached signature? ")))
+  (revert-buffer))
 
 ;;;###autoload
 (defun epa-dired-do-encrypt ()
   "Encrypt marked files."
   (interactive)
-  (let ((file-list (dired-get-marked-files)))
-    (while file-list
-      (epa-encrypt-file
-       (expand-file-name (car file-list))
-       (epa-select-keys (epg-make-context) "Select recipients for encryption.
-If no one is selected, symmetric encryption will be performed.  "))
-      (setq file-list (cdr file-list)))
-    (revert-buffer)))
+  (dolist (file (dired-get-marked-files))
+    (epa-encrypt-file
+     (expand-file-name file)
+     (epa-select-keys (epg-make-context) "Select recipients for encryption.
+If no one is selected, symmetric encryption will be performed.  ")))
+  (revert-buffer))
 
 (provide 'epa-dired)
 
diff --git a/lisp/epa-file.el b/lisp/epa-file.el
index 3e23c09a51..de51c59c34 100644
--- a/lisp/epa-file.el
+++ b/lisp/epa-file.el
@@ -66,8 +66,8 @@ epa-file-passphrase-callback-function
 	  (or (copy-sequence (cdr entry))
 	      (progn
 		(unless entry
-		  (setq entry (list file)
-			epa-file-passphrase-alist
+		  (setq entry (list file))
+		  (setq epa-file-passphrase-alist
 			(cons entry
 			      epa-file-passphrase-alist)))
 		(setq passphrase (epa-passphrase-callback-function context
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:16:29 2020
Received: from localhost ([127.0.0.1]:35007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKHM-0003Oy-L7
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:29 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60574)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKHE-0003NF-M5
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:21 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 135CB16693
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:20 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id VyxAyzvIaK3Q for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:16:19 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 18441166AF
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH 4/9] Split EasyPG libraries into outline sections
Date: Thu, 14 May 2020 22:16:13 +0200
Message-Id: <20200514201618.26313-4-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200514201618.26313-1-jonas@HIDDEN>
References: <20200514201618.26313-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

lisp/epa-dired.el, lisp/epa-file.el, lisp/epa-hook.el,
lisp/epa-mail.el, lisp/epa.el, lisp/epg-config.el, lisp/epg.el:
Split into outline sections.
---
 lisp/epa-dired.el  |  1 +
 lisp/epa-file.el   |  9 +++++++++
 lisp/epa-hook.el   |  1 +
 lisp/epa-mail.el   |  9 +++++++++
 lisp/epa.el        | 23 +++++++++++++++++++++++
 lisp/epg-config.el |  8 ++++++++
 lisp/epg.el        | 26 +++++++++++++++++++++++++-
 7 files changed, 76 insertions(+), 1 deletion(-)

diff --git a/lisp/epa-dired.el b/lisp/epa-dired.el
index f601d42656..1bcfb758ed 100644
--- a/lisp/epa-dired.el
+++ b/lisp/epa-dired.el
@@ -1,4 +1,5 @@
 ;;; epa-dired.el --- the EasyPG Assistant, dired extension -*- lexical-binding: t -*-
+
 ;; Copyright (C) 2006-2020 Free Software Foundation, Inc.
 
 ;; Author: Daiki Ueno <ueno@HIDDEN>
diff --git a/lisp/epa-file.el b/lisp/epa-file.el
index dedf20b0d7..43399d2852 100644
--- a/lisp/epa-file.el
+++ b/lisp/epa-file.el
@@ -1,4 +1,5 @@
 ;;; epa-file.el --- the EasyPG Assistant, transparent file encryption -*- lexical-binding: t -*-
+
 ;; Copyright (C) 2006-2020 Free Software Foundation, Inc.
 
 ;; Author: Daiki Ueno <ueno@HIDDEN>
@@ -25,6 +26,8 @@
 (require 'epa)
 (require 'epa-hook)
 
+;;; Options
+
 (defcustom epa-file-cache-passphrase-for-symmetric-encryption nil
   "If non-nil, cache passphrase for symmetric encryption.
 
@@ -49,6 +52,8 @@ epa-file-select-keys
 		 (const :tag "Don't ask" silent))
   :group 'epa-file)
 
+;;; Other
+
 (defvar epa-file-passphrase-alist nil)
 
 (eval-and-compile
@@ -82,6 +87,8 @@ epa-file-passphrase-callback-function
 		passphrase))))
     (epa-passphrase-callback-function context key-id file)))
 
+;;; File Handler
+
 (defvar epa-inhibit nil
   "Non-nil means don't try to decrypt .gpg files when operating on them.")
 
@@ -317,6 +324,8 @@ epa-file-write-region
 	(message "Wrote %s" buffer-file-name))))
 (put 'write-region 'epa-file 'epa-file-write-region)
 
+;;; Commands
+
 (defun epa-file-select-keys ()
   "Select recipients for encryption."
   (interactive)
diff --git a/lisp/epa-hook.el b/lisp/epa-hook.el
index d424e7a9fa..002f46ad27 100644
--- a/lisp/epa-hook.el
+++ b/lisp/epa-hook.el
@@ -1,4 +1,5 @@
 ;;; epa-hook.el --- preloaded code to enable epa-file.el -*- lexical-binding: t -*-
+
 ;; Copyright (C) 2006-2020 Free Software Foundation, Inc.
 
 ;; Author: Daiki Ueno <ueno@HIDDEN>
diff --git a/lisp/epa-mail.el b/lisp/epa-mail.el
index 00f560af0b..4c57235394 100644
--- a/lisp/epa-mail.el
+++ b/lisp/epa-mail.el
@@ -1,4 +1,5 @@
 ;;; epa-mail.el --- the EasyPG Assistant, minor-mode for mail composer -*- lexical-binding: t -*-
+
 ;; Copyright (C) 2006-2020 Free Software Foundation, Inc.
 
 ;; Author: Daiki Ueno <ueno@HIDDEN>
@@ -25,6 +26,8 @@
 (require 'epa)
 (require 'mail-utils)
 
+;;; Local Mode
+
 (defvar epa-mail-mode-map
   (let ((keymap (make-sparse-keymap)))
     (define-key keymap "\C-c\C-ed" 'epa-mail-decrypt)
@@ -50,6 +53,8 @@ epa-mail-mode
   "A minor-mode for composing encrypted/clearsigned mails."
   nil " epa-mail" epa-mail-mode-map)
 
+;;; Utilities
+
 (defun epa-mail--find-usable-key (keys usage)
   "Find a usable key from KEYS for USAGE.
 USAGE would be `sign' or `encrypt'."
@@ -64,6 +69,8 @@ epa-mail--find-usable-key
 	  (setq pointer (cdr pointer))))
       (setq keys (cdr keys)))))
 
+;;; Commands
+
 ;;;###autoload
 (defun epa-mail-decrypt ()
   "Decrypt OpenPGP armors in the current buffer.
@@ -238,6 +245,8 @@ epa-mail-import-keys
   (interactive)
   (epa-import-armor-in-region (point-min) (point-max)))
 
+;;; Global Mode
+
 ;;;###autoload
 (define-minor-mode epa-global-mail-mode
   "Minor mode to hook EasyPG into Mail mode."
diff --git a/lisp/epa.el b/lisp/epa.el
index 7fb5a92547..62a4941f9d 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -28,6 +28,8 @@
 (eval-when-compile (require 'wid-edit))
 (require 'derived)
 
+;;; Options
+
 (defgroup epa nil
   "The EasyPG Assistant"
   :version "23.1"
@@ -71,6 +73,8 @@ epa-mail-aliases
   :group 'epa
   :version "24.4")
 
+;;; Faces
+
 (defgroup epa-faces nil
   "Faces for epa-mode."
   :version "23.1"
@@ -141,6 +145,8 @@ epa-validity-face-alist
   :type '(repeat (cons symbol face))
   :group 'epa-faces)
 
+;;; Variables
+
 (defvar epa-font-lock-keywords
   '(("^\\*"
      (0 'epa-mark))
@@ -245,6 +251,8 @@ epa-info-mode-map
 
 (defvar epa-exit-buffer-function #'quit-window)
 
+;;; Key Widget
+
 (define-widget 'epa-key 'push-button
   "Button for representing an epg-key object."
   :format "%[%v%]"
@@ -286,6 +294,8 @@ epa--key-widget-help-echo
 	  (epg-sub-key-id (car (epg-key-sub-key-list
 				(widget-get widget :value))))))
 
+;;; Modes
+
 (define-derived-mode epa-key-list-mode special-mode "EPA Keys"
   "Major mode for `epa-list-keys'."
   (buffer-disable-undo)
@@ -309,6 +319,9 @@ epa-info-mode
   (setq truncate-lines t
 	buffer-read-only t))
 
+;;; Commands
+;;;; Marking
+
 (defun epa-mark-key (&optional arg)
   "Mark a key on the current line.
 If ARG is non-nil, unmark the key."
@@ -331,12 +344,16 @@ epa-unmark-key
   (interactive "P")
   (epa-mark-key (not arg)))
 
+;;;; Quitting
+
 (defun epa-exit-buffer ()
   "Exit the current buffer.
 `epa-exit-buffer-function' is called if it is set."
   (interactive)
   (funcall epa-exit-buffer-function))
 
+;;;; Listing and Selecting
+
 (defun epa--insert-keys (keys)
   (save-excursion
     (save-restriction
@@ -500,6 +517,8 @@ epa-select-keys
   (let ((keys (epg-list-keys context names secret)))
     (epa--select-keys prompt keys)))
 
+;;;; Key Details
+
 (defun epa--show-key (key)
   (let* ((primary-sub-key (car (epg-key-sub-key-list key)))
 	 (entry (assoc (epg-sub-key-id primary-sub-key)
@@ -578,6 +597,8 @@ epa--show-key
     (goto-char (point-min))
     (pop-to-buffer (current-buffer))))
 
+;;;; Encryption and Signatures
+
 (defun epa-display-info (info)
   (if epa-popup-info-window
       (save-selected-window
@@ -1178,6 +1199,8 @@ epa-encrypt-region
 				 'start-open t
 				 'end-open t)))))
 
+;;;; Key Management
+
 ;;;###autoload
 (defun epa-delete-keys (keys &optional allow-secret)
   "Delete selected KEYS."
diff --git a/lisp/epg-config.el b/lisp/epg-config.el
index 1c42924652..a148737f1c 100644
--- a/lisp/epg-config.el
+++ b/lisp/epg-config.el
@@ -25,6 +25,8 @@
 
 (eval-when-compile (require 'cl-lib))
 
+;;; Constants (1/2)
+
 (defconst epg-package-name "epg"
   "Name of this package.")
 
@@ -34,6 +36,8 @@ epg-version-number
 (define-obsolete-variable-alias 'epg-bug-report-address
   'report-emacs-bug-address "27.1")
 
+;;; Options
+
 (defgroup epg ()
   "Interface to the GNU Privacy Guard (GnuPG)."
   :tag "EasyPG"
@@ -106,6 +110,8 @@ epg-debug
 Note that the buffer name starts with a space."
   :type 'boolean)
 
+;;; Constants (2/2)
+
 (defconst epg-gpg-minimum-version "1.4.3")
 (defconst epg-gpg2-minimum-version "2.1.6")
 
@@ -133,6 +139,8 @@ epg-config--configuration-constructor-alist
 either `OpenPGP' or `CMS'.  The second element is a function
 which constructs a configuration object (actually a plist).")
 
+;;; "Configuration"
+
 (defvar epg--configurations nil)
 
 ;;;###autoload
diff --git a/lisp/epg.el b/lisp/epg.el
index 222fd913e1..4bb9e998e1 100644
--- a/lisp/epg.el
+++ b/lisp/epg.el
@@ -1,4 +1,5 @@
 ;;; epg.el --- the EasyPG Library -*- lexical-binding: t -*-
+
 ;; Copyright (C) 1999-2000, 2002-2020 Free Software Foundation, Inc.
 
 ;; Author: Daiki Ueno <ueno@HIDDEN>
@@ -25,6 +26,10 @@
 (require 'epg-config)
 (eval-when-compile (require 'cl-lib))
 
+(define-error 'epg-error "GPG error")
+
+;;; Variables
+
 (defvar epg-user-id nil
   "GnuPG ID of your default identity.")
 
@@ -41,6 +46,8 @@ epg-debug-buffer
 (defvar epg-agent-file nil)
 (defvar epg-agent-mtime nil)
 
+;;; Enums
+
 ;; from gnupg/common/openpgpdefs.h
 (defconst epg-cipher-algorithm-alist
   '((0 . "NONE")
@@ -169,7 +176,8 @@ epg-dn-type-alist
 
 (defvar epg-prompt-alist nil)
 
-(define-error 'epg-error "GPG error")
+;;; Structs
+;;;; Data Struct
 
 (cl-defstruct (epg-data
                (:constructor nil)
@@ -180,6 +188,8 @@ 'epg-error
   (file nil :read-only t)
   (string nil :read-only t))
 
+;;;; Context Struct
+
 (cl-defstruct (epg-context
                (:constructor nil)
                (:constructor epg-context--make
@@ -218,6 +228,8 @@ 'epg-error
   (error-output "")
   error-buffer)
 
+;;;; Context Methods
+
 ;; This is not an alias, just so we can mark it as autoloaded.
 ;;;###autoload
 (defun epg-make-context (&optional protocol armor textmode include-certs
@@ -281,6 +293,8 @@ epg-context-set-signers
   (declare (obsolete setf "25.1"))
   (setf (epg-context-signers context) signers))
 
+;;;; Other Structs
+
 (cl-defstruct (epg-signature
                (:constructor nil)
                (:constructor epg-make-signature
@@ -385,6 +399,8 @@ epg-context-set-signers
   secret-unchanged not-imported
   imports)
 
+;;; Functions
+
 (defun epg-context-result-for (context name)
   "Return the result of CONTEXT associated with NAME."
   (cdr (assq name (epg-context-result context))))
@@ -859,6 +875,8 @@ epg--prompt-GET_BOOL-untrusted_key.override
 		  (format "Untrusted key %s %s.  Use anyway? " key-id user-id))
 	      "Use untrusted key anyway? ")))
 
+;;; Status Functions
+
 (defun epg--status-GET_BOOL (context string)
   (let (inhibit-quit)
     (condition-case nil
@@ -1234,6 +1252,8 @@ epg--status-IMPORT_RES
 			     (epg-context-result-for context 'import-status)))
     (epg-context-set-result-for context 'import-status nil)))
 
+;;; Functions
+
 (defun epg-passphrase-callback-function (context key-id _handback)
   (declare (obsolete epa-passphrase-callback-function "23.1"))
   (if (eq key-id 'SYM)
@@ -1303,6 +1323,8 @@ epg--make-sub-key-1
    (if (aref line 6)
        (epg--time-from-seconds (aref line 6)))))
 
+;;; Public Functions
+
 (defun epg-list-keys (context &optional name mode)
   "Return a list of epg-key objects matched with NAME.
 If MODE is nil or `public', only public keyring should be searched.
@@ -2031,6 +2053,8 @@ epg-edit-key
 			    (epg-errors-to-string errors))))))
     (epg-reset context)))
 
+;;; Decode Functions
+
 (defun epg--decode-percent-escape (string)
   (setq string (encode-coding-string string 'raw-text))
   (let ((index 0))
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:16:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:16:28 2020
Received: from localhost ([127.0.0.1]:35005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKHM-0003Or-DT
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:28 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKHF-0003NU-7g
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:21 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 4947D166C4
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:20 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id veX5qSJpljbo for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:16:19 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 72BC3166BF
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH 8/9] epa-key-list-mode-map: Use widget-keymap as parent keymap
Date: Thu, 14 May 2020 22:16:17 +0200
Message-Id: <20200514201618.26313-8-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200514201618.26313-1-jonas@HIDDEN>
References: <20200514201618.26313-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* lisp/epa.el (epa-key-list-mode-map): Set the parent of this keymap
  while defining this keymap.

* lisp/epa.el (epa--list-keys): Do not set the parent of the local
  keymap here.
---
 lisp/epa.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/epa.el b/lisp/epa.el
index b06b0ac8e4..1e0a0132d2 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -191,6 +191,7 @@ epa-last-coding-system-specified
 (defvar epa-key-list-mode-map
   (let ((keymap (make-sparse-keymap))
 	(menu-map (make-sparse-keymap)))
+    (set-keymap-parent keymap widget-keymap)
     (define-key keymap "m" 'epa-mark-key)
     (define-key keymap "u" 'epa-unmark-key)
     (define-key keymap "d" 'epa-decrypt-file)
@@ -413,8 +414,7 @@ epa--list-keys
       (goto-char point))
 
     (epa--insert-keys (epg-list-keys context name secret))
-    (widget-setup)
-    (set-keymap-parent (current-local-map) widget-keymap))
+    (widget-setup))
   (make-local-variable 'epa-list-keys-arguments)
   (setq epa-list-keys-arguments (list name secret))
   (goto-char (point-min))
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:16:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:16:28 2020
Received: from localhost ([127.0.0.1]:35003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKHM-0003Ok-5d
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:28 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKHF-0003NP-4I
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:21 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 46EE3166AF
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:20 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id v8MoJHBpTqTo for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:16:19 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 510E2166B8
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH 6/9] Drop unnecessary backward compatibility aliases
Date: Thu, 14 May 2020 22:16:15 +0200
Message-Id: <20200514201618.26313-6-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200514201618.26313-1-jonas@HIDDEN>
References: <20200514201618.26313-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* lisp/epa-file.el (epa-file--encode-coding-string,
  epa-file--decode-coding-string): Remove aliases for
  encode-coding-string and decode-coding-string.

* lisp/epa-file.el (epa-file-write-region): Use encode-coding-string
  instead of removed epa-file--encode-coding-string.

encode-coding-string and decode-coding-string existed every since
4ed4686978bd18292e2bb7b87a7b0e0407ecb3b1 added them in 1997.
---
 lisp/epa-file.el | 22 ++++------------------
 1 file changed, 4 insertions(+), 18 deletions(-)

diff --git a/lisp/epa-file.el b/lisp/epa-file.el
index ede7177054..3e23c09a51 100644
--- a/lisp/epa-file.el
+++ b/lisp/epa-file.el
@@ -56,16 +56,6 @@ epa-file-select-keys
 
 (defvar epa-file-passphrase-alist nil)
 
-(eval-and-compile
-  (if (fboundp 'encode-coding-string)
-      (defalias 'epa-file--encode-coding-string 'encode-coding-string)
-    (defalias 'epa-file--encode-coding-string 'identity)))
-
-(eval-and-compile
-  (if (fboundp 'decode-coding-string)
-      (defalias 'epa-file--decode-coding-string 'decode-coding-string)
-    (defalias 'epa-file--decode-coding-string 'identity)))
-
 (defun epa-file-passphrase-callback-function (context key-id file)
   (if (and epa-file-cache-passphrase-for-symmetric-encryption
 	   (eq key-id 'SYM))
@@ -243,11 +233,7 @@ epa-file-write-region
   (setq file (expand-file-name file))
   (let* ((coding-system (or coding-system-for-write
 			    (if (fboundp 'select-safe-coding-system)
-				;; This is needed since Emacs 22 has
-				;; no-conversion setting for *.gpg in
-				;; `auto-coding-alist'.
-			        (let ((buffer-file-name
-				       (file-name-sans-extension file)))
+			        (let ((buffer-file-name file))
 				  (select-safe-coding-system
 				   (point-min) (point-max)))
 			      buffer-file-coding-system)))
@@ -273,7 +259,7 @@ epa-file-write-region
 	      (epg-encrypt-string
 	       context
 	       (if (stringp start)
-		   (epa-file--encode-coding-string start coding-system)
+		   (encode-coding-string start coding-system)
 		 (unless start
 		   (setq start (point-min)
 			 end (point-max)))
@@ -287,8 +273,8 @@ epa-file-write-region
 		   ;; decrypted contents.
 		   (format-encode-buffer (with-current-buffer buffer
 					   buffer-file-format))
-		   (epa-file--encode-coding-string (buffer-string)
-						   coding-system)))
+		   (encode-coding-string (buffer-string)
+					 coding-system)))
 	       (if (or (eq epa-file-select-keys t)
 		       (and (null epa-file-select-keys)
 			    (not (local-variable-p 'epa-file-encrypt-to
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:16:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:16:28 2020
Received: from localhost ([127.0.0.1]:35001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKHL-0003Oi-Ss
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:28 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKHE-0003NE-Fq
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:21 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id CEB661668B
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id Uj5vNbzOl2VB for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:16:19 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 4567B166B6
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH 5/9] Improve and add doc-strings
Date: Thu, 14 May 2020 22:16:14 +0200
Message-Id: <20200514201618.26313-5-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200514201618.26313-1-jonas@HIDDEN>
References: <20200514201618.26313-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* lisp/epa-file.el (epa-file-select-keys), lisp/epa-hook.el
  (epa-file-name-regexp), lisp/epa.el (epa-exit-buffer): Improve
  doc-string.

* lisp/epa-hook.el (epa-file-name-regexp-update): Add doc-string.
---
 lisp/epa-file.el |  4 ++--
 lisp/epa-hook.el | 11 +++++++----
 lisp/epa.el      |  3 +--
 3 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/lisp/epa-file.el b/lisp/epa-file.el
index 43399d2852..ede7177054 100644
--- a/lisp/epa-file.el
+++ b/lisp/epa-file.el
@@ -43,9 +43,9 @@ epa-file-cache-passphrase-for-symmetric-encryption
 (defcustom epa-file-select-keys nil
   "Control whether or not to pop up the key selection dialog.
 
-If t, always asks user to select recipients.
+If t, always ask user to select recipients.
 If nil, query user only when `epa-file-encrypt-to' is not set.
-If neither t nor nil, doesn't ask user.  In this case, symmetric
+If neither t nor nil, don't ask user.  In this case, symmetric
 encryption is used."
   :type '(choice (const :tag "Ask always" t)
 		 (const :tag "Ask when recipients are not set" nil)
diff --git a/lisp/epa-hook.el b/lisp/epa-hook.el
index 002f46ad27..6f12f8a6bf 100644
--- a/lisp/epa-hook.el
+++ b/lisp/epa-hook.el
@@ -36,10 +36,10 @@ epa-file--file-name-regexp-set
 (defcustom epa-file-name-regexp (purecopy "\\.gpg\\(~\\|\\.~[0-9]+~\\)?\\'")
   "Regexp which matches filenames to be encrypted with GnuPG.
 
-If you set this outside Custom while epa-file is already enabled, you
-have to call `epa-file-name-regexp-update' after setting it to
-properly update file-name-handler-alist.  Setting this through Custom
-does that automatically."
+If you set this outside Custom while epa-file is already enabled,
+you have to call `epa-file-name-regexp-update' after setting it
+to properly update `file-name-handler-alist'.  Setting this
+through Custom does that automatically."
   :type 'regexp
   :group 'epa-file
   :set 'epa-file--file-name-regexp-set)
@@ -73,6 +73,9 @@ epa-file-auto-mode-alist-entry
   (list epa-file-name-regexp nil 'epa-file))
 
 (defun epa-file-name-regexp-update ()
+  "Update `file-name-handler-alist' after configuring outside Custom.
+After setting `epa-file-name-regexp-update' outside the Custom
+interface, update `file-name-handler-alist'."
   (interactive)
   (unless (equal (car epa-file-handler) epa-file-name-regexp)
     (setcar epa-file-handler epa-file-name-regexp)))
diff --git a/lisp/epa.el b/lisp/epa.el
index 62a4941f9d..b06b0ac8e4 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -347,8 +347,7 @@ epa-unmark-key
 ;;;; Quitting
 
 (defun epa-exit-buffer ()
-  "Exit the current buffer.
-`epa-exit-buffer-function' is called if it is set."
+  "Exit the current buffer using `epa-exit-buffer-function'."
   (interactive)
   (funcall epa-exit-buffer-function))
 
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:16:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:16:22 2020
Received: from localhost ([127.0.0.1]:34998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKHG-0003OH-LI
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:22 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60564)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKHE-0003NC-9a
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id AC407166C2
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id dPz-7dom-vC8 for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:16:19 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 0725A1668B
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH 2/9] Add all epa faces to epa-faces Custom group
Date: Thu, 14 May 2020 22:16:11 +0200
Message-Id: <20200514201618.26313-2-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200514201618.26313-1-jonas@HIDDEN>
References: <20200514201618.26313-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

'epa-validity-face-alist' isn't actually a face but belongs in that
group anyway.

* lisp/epa.el (epa-field-name, epa-field-body,
epa-validity-face-alist): Add to epa-faces Custom group
---
 lisp/epa.el | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/lisp/epa.el b/lisp/epa.el
index 0dd1cff465..7fb5a92547 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -117,13 +117,13 @@ epa-field-name
   '((default :weight bold)
     (((class color) (background dark)) :foreground "PaleTurquoise"))
   "Face for the name of the attribute field."
-  :group 'epa)
+  :group 'epa-faces)
 
 (defface epa-field-body
   '((default :slant italic)
     (((class color) (background dark)) :foreground "turquoise"))
   "Face for the body of the attribute field."
-  :group 'epa)
+  :group 'epa-faces)
 
 (defcustom epa-validity-face-alist
   '((unknown . epa-validity-disabled)
@@ -139,7 +139,7 @@ epa-validity-face-alist
     (ultimate . epa-validity-high))
   "An alist mapping validity values to faces."
   :type '(repeat (cons symbol face))
-  :group 'epa)
+  :group 'epa-faces)
 
 (defvar epa-font-lock-keywords
   '(("^\\*"
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:16:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:16:22 2020
Received: from localhost ([127.0.0.1]:34996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKHG-0003OA-BJ
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:22 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKHE-0003NB-9a
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id A524A1667E
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id KhZi0Tf9jeTu for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:16:19 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 1047D16693
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH 3/9] * lisp/epg-config.el
 (epg-config--make-gpg-configuration): Fix indentation
Date: Thu, 14 May 2020 22:16:12 +0200
Message-Id: <20200514201618.26313-3-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200514201618.26313-1-jonas@HIDDEN>
References: <20200514201618.26313-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 lisp/epg-config.el | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/lisp/epg-config.el b/lisp/epg-config.el
index daa9a5abd1..1c42924652 100644
--- a/lisp/epg-config.el
+++ b/lisp/epg-config.el
@@ -202,13 +202,13 @@ epg-config--make-gpg-configuration
 	(cond
 	 ((eq type 'group)
 	  (if (string-match "\\`\\([^:]+\\):" args)
-		  (setq groups
-			(cons (cons (downcase (match-string 1 args))
-				    (delete "" (split-string
-						(substring args
-							   (match-end 0))
-						";")))
-			      groups))
+	      (setq groups
+		    (cons (cons (downcase (match-string 1 args))
+				(delete "" (split-string
+					    (substring args
+						       (match-end 0))
+					    ";")))
+			  groups))
 	    (if epg-debug
 		(message "Invalid group configuration: %S" args))))
 	 ((memq type '(pubkey cipher digest compress))
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:16:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:16:22 2020
Received: from localhost ([127.0.0.1]:34994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKHF-0003Nv-U1
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:22 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKHE-0003NA-6r
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:16:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 91F17166C1
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:19 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id YvfzBZGkFxU9 for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:16:19 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id F249B1667E
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:16:18 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: [PATCH 1/9] * lisp/epa.el (epa-faces): Move definition
Date: Thu, 14 May 2020 22:16:10 +0200
Message-Id: <20200514201618.26313-1-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Previously option `epa-mail-aliases' was the only option that was
defined right after the group `epa-faces' and right before all the
faces.  Now it is defined with all the other options and thus before
the definition of the `epa-faces' group, which it does not belong to
for obvious reasons.
---
 lisp/epa.el | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/lisp/epa.el b/lisp/epa.el
index 8ec4218735..0dd1cff465 100644
--- a/lisp/epa.el
+++ b/lisp/epa.el
@@ -56,11 +56,6 @@ epa-info-window-height
   :type 'integer
   :group 'epa)
 
-(defgroup epa-faces nil
-  "Faces for epa-mode."
-  :version "23.1"
-  :group 'epa)
-
 (defcustom epa-mail-aliases nil
   "Alist of aliases of email addresses that stand for encryption keys.
 Each element is a list of email addresses (ALIAS EXPANSIONS...).
@@ -76,6 +71,11 @@ epa-mail-aliases
   :group 'epa
   :version "24.4")
 
+(defgroup epa-faces nil
+  "Faces for epa-mode."
+  :version "23.1"
+  :group 'epa)
+
 (defface epa-validity-high
   '((default :weight bold)
     (((class color) (background dark)) :foreground "PaleTurquoise"))
-- 
2.26.0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at 41276 <at> debbugs.gnu.org:


Received: (at 41276) by debbugs.gnu.org; 14 May 2020 20:14:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 16:14:49 2020
Received: from localhost ([127.0.0.1]:34982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZKFl-0003Jr-IO
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 16:14:49 -0400
Received: from mail.hostpark.net ([212.243.197.30]:60462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZKFj-0003Jh-OK
 for 41276 <at> debbugs.gnu.org; Thu, 14 May 2020 16:14:48 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 677F81668B
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:14:46 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id L11pKvYkrZFn for <41276 <at> debbugs.gnu.org>;
 Thu, 14 May 2020 22:14:46 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id F15FA1667E
 for <41276 <at> debbugs.gnu.org>; Thu, 14 May 2020 22:14:45 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 41276 <at> debbugs.gnu.org
Subject: Re: bug#41276: Acknowledgement ([PATCH 0/9] Various small
 improvements to EasyPG)
In-Reply-To: <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
References: <20200514191325.22061-1-jonas@HIDDEN>
 <handler.41276.B.15894836275636.ack <at> debbugs.gnu.org>
Date: Thu, 14 May 2020 22:14:36 +0200
Message-ID: <87sgg26zpv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41276
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Please excuse me for ending up opening an issue per commit and just
delete issues 41268-41275 and 41277 (but not 41276, this issue).

I sent the patches using:
  git send-email 000* --to=bug-gnu-emacs@HIDDEN

I should have used
  git send-email 0000-cover-letter.patch --to=bug-gnu-emacs@HIDDEN
wait for the response
> If you wish to submit further information on this problem, please
> send it to 41276 <at> debbugs.gnu.org.
and then
  0000-cover-letter.patch
  git send-email 000* --to=41276 <at> debbugs.gnu.org

which is what I am gonna do now.  Fingers crossed.  The patches may
arrive in the wrong order again, I don't know how to prevent that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 May 2020 19:13:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 15:13:47 2020
Received: from localhost ([127.0.0.1]:34898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZJIg-0001Sk-Pl
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 15:13:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:49266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZJIb-0001S1-CM
 for submit <at> debbugs.gnu.org; Thu, 14 May 2020 15:13:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56366)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jonas@HIDDEN>) id 1jZJIb-0005rM-7E
 for bug-gnu-emacs@HIDDEN; Thu, 14 May 2020 15:13:41 -0400
Received: from mail.hostpark.net ([212.243.197.30]:50288)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jonas@HIDDEN>) id 1jZJIQ-0005Oi-6T
 for bug-gnu-emacs@HIDDEN; Thu, 14 May 2020 15:13:40 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id DA203166C1
 for <bug-gnu-emacs@HIDDEN>; Thu, 14 May 2020 21:13:26 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id UPKUAf82nmlZ for <bug-gnu-emacs@HIDDEN>;
 Thu, 14 May 2020 21:13:26 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 2CB351667E
 for <bug-gnu-emacs@HIDDEN>; Thu, 14 May 2020 21:13:26 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: [PATCH 0/9] Various small improvements to EasyPG
Date: Thu, 14 May 2020 21:13:16 +0200
Message-Id: <20200514191325.22061-1-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: none client-ip=212.243.197.30; envelope-from=jonas@HIDDEN;
 helo=mail.hostpark.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/14 15:13:27
X-ACL-Warn: Detected OS   = ???
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This patches make various cosmetic and hopefully uncontroversial
changes to epa and epg libraries.

I am now to contributing to Emacs itself and not yet comfortable
with the commit message conventions among other things.  Tell me
what I am doing wrong please.

  Cheers,
  Jonas


Jonas Bernoulli (9):
  * lisp/epa.el (epa-faces): Move definition
  Add all epa faces to epa-faces Custom group
  * lisp/epg-config.el (epg-config--make-gpg-configuration): Fix
    indentation
  Split EasyPG libraries into outline sections
  Improve and add doc-strings
  Drop unnecessary backward compatibility aliases
  Cosmetic changes to epa libraries
  epa-key-list-mode-map: Use widget-keymap as parent keymap
  * lisp/epa.el (epa-show-key): New command

 lisp/epa-dired.el  | 45 +++++++++++++++--------------------
 lisp/epa-file.el   | 39 +++++++++++++-----------------
 lisp/epa-hook.el   | 12 ++++++----
 lisp/epa-mail.el   |  9 +++++++
 lisp/epa.el        | 59 ++++++++++++++++++++++++++++++++++++----------
 lisp/epg-config.el | 22 +++++++++++------
 lisp/epg.el        | 26 +++++++++++++++++++-
 7 files changed, 139 insertions(+), 73 deletions(-)

-- 
2.26.0





Acknowledgement sent to Jonas Bernoulli <jonas@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41276; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 Aug 2020 07:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.